<div id="single-comments">

	<h3><?php _e( 'Comments', LANGUAGE ); ?></h3>

	<?php 
		$num_comments = get_comments_number(); 
		if ( $num_comments == 0 ) {
			echo '<p>';
			_e( 'There are no comments yet.', LANGUAGE );
			echo '</p>';
		} else { ?>
			<ul id="comments-list">
				<?php wp_list_comments( 'type=comment&callback=celta_format_comment' ); ?>
			</ul>
	<?php } ?>

</div>

<div id="comments-form">
	
<?php 
	$commenter = wp_get_current_commenter();
	$args = array( 'fields' => apply_filters( 'comment_form_default_fields', array(
		'author' => '<div class="comment-form-author float">' .
					'<label for="author">' . __( 'Name', LANGUAGE ) . '</label> ' .
					( $req ? '<span class="required">*</span>' : '' ) .
					'<input id="author" name="author" type="text" value="' .
					esc_attr( $commenter['comment_author'] ) . '" size="30" tabindex="1"' . $aria_req . ' />' .
					'</div><!-- #form-section-author .form-section -->',
		'email'  => '<div class="comment-form-email  float">' .
					'<label for="email">' . __( 'Email', LANGUAGE ) . '</label> ' .
					( $req ? '<span class="required">*</span>' : '' ) .
					'<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30" tabindex="2"' . $aria_req . ' />' .
					'</div><!-- #form-section-email .form-section -->',
		'url'    => '<div class="comment-form-url  float">' .
					'<label for="url">' . __( 'Website', LANGUAGE ) . '</label>' .
					'<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" tabindex="3" />' .
					'</div><!-- #form-section-url .form-section -->' ) ),
		'comment_field' => '<div class="comment-form-comment">' .
					'<label for="comment">' . __( 'Comment', LANGUAGE ) . '</label>' .
					'<textarea id="comment" name="comment" cols="45" rows="8" tabindex="4" aria-required="true"></textarea>' .
					'</div><!-- #form-section-comment .form-section -->',
		'must_log_in' => '<p class="must-log-in">' .  sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.', LANGUAGE ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
		'logged_in_as' => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%s">%s</a>. <a href="%s" title="Log out of this account">Log out?</a></p>', LANGUAGE ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ),
		'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email is <em>never</em> published nor shared.', LANGUAGE ) . ( $req ? __( ' Required fields are marked <span class="required">*</span>', LANGUAGE ) : '' ) . '</p>',
		'comment_notes_after' => '',
		'id_form' => 'commentform',
		'id_submit' => 'submit',
		'title_reply' => __( 'Leave a Reply', LANGUAGE ),
		'title_reply_to' => __( 'Leave a Reply to %s', LANGUAGE ),
		'cancel_reply_link' => __( 'Cancel reply', LANGUAGE ),
		'label_submit' => __( 'Post Comment', LANGUAGE ),
	);
	comment_form($args); 
?>

</div>