<?php
// Set path to theme specific functions
define( 'CELTA_LIB', TEMPLATEPATH . '/lib/' );
$theme_path = get_bloginfo( 'template_directory' );

// Set variables with theme names
$themename = 'Celta Business';  
$shortname = 'celta';  
$prefix = 'celta_';
define ( 'LANGUAGE', 'business' );

// Add Theme Options Panel Functions
require_once ( CELTA_LIB . 'theme-options.php' );	

// Set Theme Setup
add_action( 'after_setup_theme', 'celta_theme_setup' );

function celta_theme_setup() {
	// Set path to theme specific functions
	global $theme_path;
	
	// Load Theme Scripts
	require_once ( CELTA_LIB . 'theme-scripts.php' );	
	
	// Apply Translation
	load_theme_textdomain( LANGUAGE, TEMPLATEPATH . '/languages' );
	
	// Add Theme Thumbnails
	require_once ( CELTA_LIB . 'theme-thumbnails.php' );	
	
	// Add Menus Action
	add_action( 'init', 'celta_register_menus' );
	
	// Add Sidebars Action
	add_action( 'widgets_init', 'celta_register_sidebars' );
	add_action( 'widgets_init', 'celta_sidebars_creator' );
	
	// Add Custom Post Types
	add_action( 'init', 'celta_post_types' );
	
	// Add Meta Boxes Actions
	add_action( 'admin_menu', 'celta_portfolio_add_box' );
	add_action( 'save_post', 'celta_portfolio_save_data' );
	add_action( 'admin_menu', 'celta_page_add_box' );
	add_action( 'save_post', 'celta_page_save_data' );
	
	// Add Shortcodes Interface Action
	add_action( 'admin_init', 'celta_add_shortcodes_interface' );
	
	// Add CSS3 Support in IE Action
	add_action( 'wp_head', 'celta_render_ie' );
	
	// Add Editor Quicktags Action
	add_action( 'edit_form_advanced', 'celta_add_quicktags' );
	add_action( 'edit_page_form', 'celta_add_quicktags' );
	
	// Add Custom Widgets Action
	add_action( 'widgets_init', 'celta_load_widgets' );
	
	// Change Excerpt Behavior
	function celta_excerpt_length( $length ) {
		return 100;
	}
	add_filter( 'excerpt_length', 'celta_excerpt_length' );

}

// Add Menus Function
require_once ( CELTA_LIB . 'theme-menus.php' );	

// Add Sidebars Function
require_once ( CELTA_LIB . 'theme-sidebars.php' );	

// Add Custom Comments Function
require_once ( CELTA_LIB . 'theme-comments.php' );	

// Add Custom Post Types Function
require_once ( CELTA_LIB . 'theme-post-types.php' );

// Add Custom Meta Boxes Functions
require_once ( CELTA_LIB . 'theme-meta-boxes.php' );
require_once ( CELTA_LIB . 'theme-page-meta-boxes.php' );

// Add Shortcodes Interface Functions
require_once ( CELTA_LIB . 'theme-shortcodes-interface.php' );

// Add CSS3 Support in IE Function
require_once ( CELTA_LIB . 'theme-iefixes.php' );

// Add Theme Shortcodes
require_once ( CELTA_LIB . 'theme-shortcodes.php' );

// Add Editor Quicktags Function
require_once ( CELTA_LIB . 'theme-quicktags.php' );

// Add Custom Widgets Function
require_once ( CELTA_LIB . 'theme-widgets.php' );

// Add Images Resize Function
require_once ( CELTA_LIB . 'theme-thumbnails-resize.php' );

?>