<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta name="google-site-verification" content="HH2tnBHi_ZpLjx4X4eWIT2UkIzzIp5gl-ssL3IudGrw" />
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	
	<title><?php
		if ( is_category() ) {
			echo 'Category: '; wp_title( '' ); echo ' - ';
		} elseif ( is_front_page() ) {
			echo '';
		} elseif ( function_exists( 'is_tag' ) && is_tag() ) {
			single_tag_title( 'Tag Archive for &quot;' ); echo '&quot; - ';
		} elseif ( is_archive() ) {
			wp_title( '' ); echo ' Archive - ';
		} elseif ( is_page() ) {
			echo wp_title( '' ); echo ' - ';
		} elseif ( is_search() ) {
			echo 'Search for &quot;' . wp_specialchars( $s ) . '&quot; - ';
		} elseif ( ! ( is_404() ) && ( is_single() ) || ( is_page() ) ) {
			wp_title( '' ) ; echo ' - ';
		} elseif ( is_404() ) {
			echo 'Not Found - ';
		} bloginfo( 'name' );
	 ?></title>
	 
	 <?php require( CELTA_LIB . "theme-options-vars.php" ); ?>
	 
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>" media="screen" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<link rel="shortcut icon" href="<?php echo $celta_favicon; ?>" />
	
	<?php wp_head(); ?>
	
	<?php 
		$fontName = strtolower( $celta_font_headings );
		$fontName = str_replace( ' ', '', $fontName );
		if ( $celta_font_method == 'Cufon' ) { ?>
		<script type="text/javascript">
		/* <![CDATA[ */
			<?php if ( $fontName == 'museo' ) { ?>
				Cufon.replace( 'h1, h2, h3, a, ol span, .celta-featured, blockquote p', { fontFamily: 'museo' } );
			<?php if ( ! is_front_page() ) { ?>
				Cufon.replace( 'h1, .celta-featured', { fontFamily: 'museo500' } );
			<?php }
			 } else { ?>
				Cufon.replace( 'h1, h2, h3, a, ol span, .celta-featured, blockquote p', { fontFamily: '<?php echo $fontName; ?>' } );
			<?php } ?>
		/* ]]> */
		</script>
	<?php }
	
	if ( $celta_slider_pages == false && ! is_front_page() ) { ?>
		<script type="text/javascript">
		/* <![CDATA[ */
			jQuery(document).ready( function() {
				jQuery('body').addClass('no-slider');
			});
		/* ]]> */
		</script>
	<?php } ?>

	<?php if ( $celta_custom_css != '' ) { ?>
		<style>
			<?php echo stripslashes( $celta_custom_css ); ?>
		</style>
	<?php } ?>
	
</head>

<body <?php body_class($class); ?>>

	<!-- BEGIN: wrapper -->
	<div class="wrapper" id="main-wrapper">
	
		<?php get_sidebar( 'left' ); ?>
		
		<!-- BEGIN: main -->
		<section role="main">
		
			<?php get_template_part( 'include-slider' ); ?>
			
			<!-- BEGIN: navigation bar -->
			<nav role="navigation">
				<?php wp_nav_menu( array( 'theme_location' => 'main-menu', 'container' => '' ) ); ?>
				
			</nav>
			<!-- END: navigation bar -->
			
			<!-- BEGIN: main content -->
			<section id="main-content">
			
				<div class="page-content">
				