(function(){
	src = jQuery("#theme-options-css").attr('href');
	var script_url = src.split( '/styles/' );
	var icon_url = script_url[0] + '/styles/images/shortcodes_boxes.png';
	tinymce.create('tinymce.plugins.shortcodes_boxes', {
		createControl : function(id, controlManager) {
			if (id == 'shortcodes_boxes') {
				var button = controlManager.createButton('shortcodes_boxes', {
					title : 'Insert Content Box',
					image :  icon_url, 
					onclick : function() {
						var width = jQuery(window).width(), H = jQuery(window).height(), W = ( 720 < width ) ? 720 : width;
						W = W - 80;
						H = H - 84;
						tb_show( 'Content Boxes Shortcode', '#TB_inline?width=' + W + '&height=' + H + '&inlineId=shortcodes-boxes-form' );
					}
				});
				return button;
			}
			return null;
		}
	});
	
	tinymce.PluginManager.add('shortcodes_boxes', tinymce.plugins.shortcodes_boxes);
	
	jQuery(function(){
		var form = jQuery('\
			<div id="shortcodes-boxes-form">\
				<div id="shortcodes-boxes-container" class="shortcodes-container">\
					<div class="left">\
						<label for="celta_box_type">Select Box Type</label>\
						<select name="celta_box_type" id="celta_box_type">\
							<option value="warning">Warning Box</option>\
							<option value="download">Download Box</option>\
							<option value="info">Info Box</option>\
							<option value="user">User Box</option>\
						</select>\
						<small>Select the type of content box that you want to add.</small>\
					</div>\
					<div class="clear"></div>\
					<div class="left">\
						<label for="celta_box_title">Box Title</label>\
						<input type="text" id="celta_box_title" name="celta_box_title" />\
						<small>Insert the title of the box.</small>\
					</div>\
					<div class="clear"></div>\
					<div class="full">\
						<label for="celta_box_content">Box Content</label>\
						<textarea rows="6" id="celta_box_content" name="celta_box_content"></textarea>\
						<small>Insert the content of the box.</small>\
					</div>\
					<div class="clear"></div>\
					<div class="full">\
						<p class="submit">\
							<input type="button" id="shortcodes-boxes-submit" class="button-primary" value="Insert Shortcode" name="submit" />\
						</p>\
		</div></div></div>');
		
		var table = form.find('#shortcodes-boxes-container');
		form.appendTo('body').hide();
		
		form.find('#shortcodes-boxes-submit').click(function(){
			
			var shortcode = '[contentBox ';
			
			shortcode += 'title="' + table.find( '#celta_box_title' ).val() + '" ';
			
			shortcode += 'type="' + table.find( '#celta_box_type' ).val() + '"';
			
			shortcode += ']' + table.find( '#celta_box_content' ).val();
			
			shortcode += '[/contentBox]';
			
			tinyMCE.activeEditor.execCommand('mceInsertContent', 0, shortcode);
			
			tb_remove();
		});
	});
})()