(function(){
	src = jQuery("#theme-options-css").attr('href');
	var script_url = src.split( '/styles/' );
	var icon_url = script_url[0] + '/styles/images/shortcodes_testimonial.png';
	tinymce.create('tinymce.plugins.shortcodes_testimonial', {
		createControl : function(id, controlManager) {
			if (id == 'shortcodes_testimonial') {
				var button = controlManager.createButton('shortcodes_testimonial', {
					title : 'Insert Testimonial Shortcode',
					image :  icon_url, 
					onclick : function() {
						var width = jQuery(window).width(), H = jQuery(window).height(), W = ( 720 < width ) ? 720 : width;
						W = W - 80;
						H = H - 84;
						tb_show( 'Testimonial Shortcode', '#TB_inline?width=' + W + '&height=' + H + '&inlineId=shortcodes-testimonial-form' );
					}
				});
				return button;
			}
			return null;
		}
	});

	tinymce.PluginManager.add('shortcodes_testimonial', tinymce.plugins.shortcodes_testimonial);
	
	jQuery(function(){
		var form = jQuery('\
			<div id="shortcodes-testimonial-form">\
				<div id="shortcodes-testimonial-container" class="shortcodes-container">\
					<div class="left">\
						<label for="celta_testimonial_author">Testimonial Author</label>\
						<input type="text" name="celta_testimonial_author" id="celta_testimonial_author" value="" />\
						<small>Insert the name of the author of the testimonial.</small>\
					</div>\
					<div class="right">\
						<label for="celta_testimonial_url">Testimonial URL</label>\
						<input type="text" name="celta_testimonial_url" id="celta_testimonial_url" value="" />\
						<small>Insert the website of the author of the testimonial.</small>\
					</div>\
					<div class="clear"></div>\
					<div class="left">\
						<label for="celta_testimonial_company">Testimonial Company</label>\
						<input type="text" name="celta_testimonial_company" id="celta_testimonial_company" value="" />\
						<small>Insert the company name of the author of the testimonial.</small>\
					</div>\
					<div class="clear"></div>\
					<div class="full">\
						<label for="celta_testimonial_img">Testimonial Avatar</label>\
						<input type="text" name="celta_testimonial_img" id="celta_testimonial_img" value="" />\
						<small>Insert the URL to the avatar image of the testimonial.</small>\
					</div>\
					<div class="full">\
						<label for="celta_testimonial">Testimonial Content</label>\
						<textarea name="celta_testimonial" id="celta_testimonial" rows="5"></textarea>\
						<small>Insert the content of the testimonial.</small>\
					</div>\
					<div class="full">\
						<p class="submit">\
							<input type="button" id="shortcodes-testimonial-submit" class="button-primary" value="Insert Shortcode" name="submit" />\
						</p>\
		</div></div></div>');
		
		var table = form.find('#shortcodes-testimonial-container');
		form.appendTo('body').hide();
		
		form.find('#shortcodes-testimonial-submit').click(function(){
			var shortcode = '[testimonial ';
			
			shortcode += 'author="' + table.find( '#celta_testimonial_author' ).val() + '" ';
			
			shortcode += 'website="' + table.find( '#celta_testimonial_url' ).val() + '" ';
			
			shortcode += 'company="' + table.find( '#celta_testimonial_company' ).val() + '" ';
			
			shortcode += 'avatar="' + table.find( '#celta_testimonial_img' ).val() + '"';
			
			shortcode += ']' + table.find( '#celta_testimonial' ).val() + '[/testimonial] ';
			
			tinyMCE.activeEditor.execCommand('mceInsertContent', 0, shortcode);
			
			tb_remove();
		});
	});
})()