<?php
if ( ! is_admin() ) {

	// Include alternative style
	$theme_style = strtolower( get_option( 'celta_color_scheme' ) );
	if ( $theme_style != 'default' )
		wp_enqueue_style( "alt-style", $theme_path . "/presentation/alt/$theme_style.css", false, "1.0", "all" ); 

	$fontName = strtolower( get_option( 'celta_font_headings' ) );

	// Include jQuery
	wp_enqueue_script( 'jquery' );
	
	// Include Custom Modernizr script
	wp_register_script( 'celta_modernizr', $theme_path . '/scripts/modernizr.js', false, '1.0' );
	wp_enqueue_script( 'celta_modernizr' );
	
	// Include Cufon fonts
	if ( get_option( 'celta_font_method' ) == 'Cufon' ) {
		wp_register_script( 'celta_cufon', $theme_path . '/scripts/cufon-yui.js', false, '1.0' );
		wp_enqueue_script( 'celta_cufon' );
		wp_register_script( 'celta_' . $fontName, $theme_path . '/presentation/fonts/cufon/' . $fontName . '.js', false, '1.0' );
		wp_enqueue_script( 'celta_' . $fontName );		
	}
	
	// Include Font Face fonts
	if ( get_option( 'celta_font_method' ) == 'Font-Face' ) {
		wp_enqueue_style( "font-face", $theme_path . '/presentation/fonts/font-face/' . $fontName . '/' . $fontName . '.css' , false, "1.0", "all" );  
	}
	
	// Include Cycle Plugin script
	wp_register_script( 'celta_cycle', $theme_path . '/scripts/jquery.cycle.min.js', false, '1.0' );
	wp_enqueue_script( 'celta_cycle' );
	
	// Include prettyPhoto
	wp_enqueue_style( "celta_prettyPhoto", $theme_path . "/scripts/prettyPhoto/css/prettyPhoto.css", false, "1.0", "all" ); 
	wp_register_script( 'celta_prettyPhoto', $theme_path . '/scripts/prettyPhoto/js/jquery.prettyPhoto.js', false, '1.0' );
	wp_enqueue_script( 'celta_prettyPhoto' );
	
	// Include Tipsy
	wp_register_script( 'celta_tipsy', $theme_path . '/scripts/jquery.tipsy.js', false, '1.0' );
	wp_enqueue_script( 'celta_tipsy' );
	
	// Include Custom jQuery script
	wp_register_script( 'celta_custom', $theme_path . '/scripts/custom.js', false, '1.0' );
	wp_enqueue_script( 'celta_custom' );

}
?>