<?php
/*============================================================ Layout Columns Shortcodes ============================================================*/
function celta_columns_shortcode( $atts, $content = null ) {

	extract( shortcode_atts( array(
		"size" => 'one',
		"last" => 'false'
	), $atts));
	
	if ( $last == 'true' ) {
		$last = ' last';
		$clear = '<div class="clear"></div>';
	} else {
		$last = '';
	}
	
	return '<div class="column ' . $size . $last . '">' . do_shortcode( $content ) . '</div>' . $clear;
	
}

add_shortcode( 'column', 'celta_columns_shortcode' );

/*============================================================ Tabs Shortcodes ============================================================*/
function celta_tabs_shortcode( $atts, $content = null ) {

	return '<div class="celta-tabs">' . do_shortcode( $content ) . '</div>';

}

add_shortcode( 'tabs', 'celta_tabs_shortcode' );

function celta_tabsNav_shortcode( $atts, $content = null ) {

	return '<ul class="celta-tabsNav">' . do_shortcode( $content ) . '</ul>';

}

add_shortcode( 'tabsNav', 'celta_tabsNav_shortcode' );

function celta_tabLink_shortcode( $atts, $content = null ) {

	$tabLink = str_replace( ' ', '', $content );
	$tabLink = strtolower( $tabLink );
	return '<li><a href="#' . $tabLink . '">' . $content . '</a></li>';

}

add_shortcode( 'tabLink', 'celta_tabLink_shortcode' );

function celta_tab_shortcode( $atts, $content = null ) {

	return '<div class="celta-tab">' . $content . '</div>';

}

add_shortcode( 'tab', 'celta_tab_shortcode' );

/*============================================================ Toggle Shortcodes ============================================================*/
function celta_toggle_shortcode( $atts, $content = null ) {

	extract( shortcode_atts( array(
		"open" => ''
	), $atts));
	
	if ( $open == 'true' )
		$open = 'open';
	else
		$open = '';

	return '<div class="celta-toggle ' . $open . '">' . do_shortcode( $content ) . '</div>';

}

add_shortcode( 'toggle', 'celta_toggle_shortcode' );

function celta_toggle_title_shortcode( $atts, $content = null ) {

	return '<div class="celta-toggle-title"><span>' . $content . '</span><a href="#">[+] Expand</a></div>';

}

add_shortcode( 'toggleTitle', 'celta_toggle_title_shortcode' );

function celta_toggle_box_shortcode( $atts, $content = null ) {

	return '<div class="celta-toggle-box">' . $content . '</div>';

}

add_shortcode( 'toggleBox', 'celta_toggle_box_shortcode' );

/*============================================================ Layout Columns Shortcodes ============================================================*/
function celta_boxes_shortcode( $atts, $content = null ) {

	extract( shortcode_atts( array(
		"type" => '',
		"title" => ''
	), $atts));
	
	return '<div class="celta-content-box ' . $type . '">'
				. '<h3>' . $title . '</h3>'
				. '<p>' . do_shortcode( $content ) . '</p>' .
			'</div>' . $clear;
	
}

add_shortcode( 'contentBox', 'celta_boxes_shortcode' );

/*============================================================ Testimonials Shortcodes ============================================================*/
function celta_testimonials_shortcode( $atts, $content = null ) {

	extract( shortcode_atts( array(
		"author" => '',
		"website" => '',
		"company" => '',
		"avatar" => ''
	), $atts));
	
	return '<div class="celta-testimonials">'
				. '<div class="celta-testimonials-content">' . do_shortcode( $content ) . '</div>'
				. '<div class="celta-testimonials-author">'
					. '<img src="' . $avatar . '" alt="" />'
					. '<p>
						<strong>' . $author . '</strong>
						<br />
						<a href="' . $website . '" title="">' . $company . '</a>
					</p>'
				. '<div class="clear"></div></div>' .
			'</div>' . $clear;
	
}

add_shortcode( 'testimonial', 'celta_testimonials_shortcode' );

/*============================================================ Slider Shortcodes ============================================================*/
function celta_slider_shortcode( $atts, $content = null ) {

	return '<div class="celta-slider"><div class="celta-slider-controls"><a href="#" class="button celta-next" title="Next">Next</a><a href="#" class="button celta-prev" title="Previous">Previous</a></div><div class="celta-slide">' . do_shortcode( $content ) . '</div></div>';

}

add_shortcode( 'slider', 'celta_slider_shortcode' );

function celta_slide_shortcode( $atts, $content = null ) {

	extract( shortcode_atts( array(
		"title" => ''
	), $atts));

	return '<div><h3>' . $title . '</h3>' . $content . '</div>';

}

add_shortcode( 'slide', 'celta_slide_shortcode' );

/*============================================================ Featured Paragraph Shortcodes ============================================================*/
function celta_featured_shortcode( $atts, $content = null ) {

	return '<p class="celta-featured">' . do_shortcode( $content ) . '</p>';

}

add_shortcode( 'featured', 'celta_featured_shortcode' );

/*============================================================ Button Shortcodes ============================================================*/
function celta_button_shortcode( $atts, $content = null ) {

	extract( shortcode_atts( array(
		"link" => ''
	), $atts));

	return '<a class="button" href="' . $link . '">' . do_shortcode( $content ) . '</a>';

}

add_shortcode( 'button', 'celta_button_shortcode' );

/*============================================================ Tooltip Shortcodes ============================================================*/
function celta_tooltip_shortcode( $atts, $content = null ) {

	extract( shortcode_atts( array(
		"title" => ''
	), $atts));

	return '<span class="celta-tooltip" title="' . $title . '">' . $content . '</span>';

}

add_shortcode( 'tooltip', 'celta_tooltip_shortcode' );

// Add Shortcodes to Widgets
add_filter('widget_text', 'do_shortcode');
?>