<?php
function celta_register_sidebars() {
	register_sidebar(
		array(
			'id' => 'left-sidebar',
			'name' => __( 'Left Column', LANGUAGE ),
			'description' => __( 'Widgets that will be displayed in the left column of the theme.', LANGUAGE ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widget-title">',
			'after_title' => '</h3>'
		)
	);
	register_sidebar(
		array(
			'id' => 'primary',
			'name' => __( 'Default Sidebar', LANGUAGE ),
			'description' => __( 'Widgets that will be displayed in the default sidebar.', LANGUAGE ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widget-title">',
			'after_title' => '</h3>'
		)
	);
	register_sidebar(
		array(
			'id' => 'page-sidebar',
			'name' => __( 'Pages Sidebar', LANGUAGE ),
			'description' => __( 'Widgets that will be displayed in the pages sidebar.', LANGUAGE ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widget-title">',
			'after_title' => '</h3>'
		)
	);
	register_sidebar(
		array(
			'id' => 'home-sidebar',
			'name' => __( 'Homepage Sidebar', LANGUAGE ),
			'description' => __( 'Widgets that will be displayed in the homepage.', LANGUAGE ),
			'before_widget' => '<div id="%1$s" class="widget home-widget one last %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widget-title">',
			'after_title' => '</h3>'
		)
	);
	register_sidebar(
		array(
			'id' => 'home-boxes',
			'name' => __( 'Homepage Boxes', LANGUAGE ),
			'description' => __( 'Widgets that will be displayed below the content in the homepage.', LANGUAGE ),
			'before_widget' => '<div id="%1$s" class="widget home-widget box one %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widget-title">',
			'after_title' => '</h3>'
		)
	);
}

function celta_sidebars_creator() {
	global $wpdb;
	$widgetized_pages = $wpdb->get_col( $wpdb->prepare("SELECT DISTINCT meta_value FROM $wpdb->postmeta WHERE meta_key = 'celta_sidebar'" ) );
	if( $widgetized_pages ){
		foreach( $widgetized_pages as $w_page ){
			$widget_id = strtolower( str_replace( ' ', '_', $w_page ) );
			register_sidebar( array(
				'name' => $w_page,
				'id'   => 'celta_' . $widget_id,
				'description'   => 'Drag your widgets into this area.',
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget' => '</div>',
				'before_title' => '<h3 class="widget-title">',
				'after_title' => '</h3>'
			));
		}
	}
}
?>