<?php



	function celta_load_widgets() {

		register_widget( 'Celta_Latest_Posts' );

		register_widget( 'Celta_Flickr' );

		register_widget( 'Celta_Latest_Comments' );

		register_widget( 'Celta_Popular_Posts' );

		register_widget( 'Celta_Twitter' );

	}

	

	// Latest Posts Widget

	

	class Celta_Latest_Posts extends WP_Widget {

	

		function Celta_Latest_Posts() {

		

			/* Widget settings. */

			$widget_ops = array( 'classname' => 'celta-latest-posts', 'description' => __( 'Custom widget that displays the latest posts using thumbnails.', LANGUAGE ) );



			/* Widget control settings. */

			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'celta-latest-posts' );



			/* Create the widget. */

			$this->WP_Widget( 'celta-latest-posts', __( 'Celta Latest Posts', LANGUAGE ), $widget_ops, $control_ops );

		}

		

		function widget( $args, $instance ) {

		

			extract( $args );



			/* User-selected settings. */

			$title = apply_filters( 'widget_title', $instance['title'] );

			$qty = $instance['qty'];

			$exclude = $instance['exclude'];



			/* Before widget (defined by themes). */

			echo $before_widget;



			/* Title of widget (before and after defined by themes). */

			if ( $title )

				echo $before_title . $title . $after_title;



			query_posts( array( 'category__not_in' => array( $exclude ), posts_per_page => $qty ) );

			while ( have_posts() ) : the_post();

				echo '<div class="celta-latest">';

				if ( has_post_thumbnail() )

					the_post_thumbnail( 'widget-thumb' );

				echo '<p>';

				echo '<a href="' . get_permalink() . '" title="" class="comments-count">' . get_comments_number() . '</a>';

				echo '<time datetime="' . get_the_time( 'Y-m-d' ) . '" class="published">' . get_the_time( 'j F Y' ) . '</time>';

				echo '<br /><a href="' . get_permalink() . '" title="" class="latest-title">' . get_the_title() . '</a>';

				echo '</p>';

				echo '</div>';

			endwhile;

			wp_reset_query();



			/* After widget (defined by themes). */

			echo $after_widget;

		}

		

		function update( $new_instance, $old_instance ) {

		

			$instance = $old_instance;



			/* Strip tags (if needed) and update the widget settings. */

			$instance['title'] = strip_tags( $new_instance['title'] );

			$instance['qty'] = strip_tags( $new_instance['qty'] );

			$instance['exclude'] = $new_instance['exclude'];



			return $instance;

		}

		

		function form( $instance ) {



			/* Set up some default widget settings. */

			$defaults = array( 'title' => __( 'Latest Posts', LANGUAGE ), 'qty' => '3', 'exclude' => '' );

			$instance = wp_parse_args( (array) $instance, $defaults ); ?>

			

			<p>

				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title', LANGUAGE ); ?>:</label>

				<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />

			</p>



			<p>

				<label for="<?php echo $this->get_field_id( 'qty' ); ?>"><?php _e( 'Number of Posts', LANGUAGE ); ?>:</label>

				<input id="<?php echo $this->get_field_id( 'qty' ); ?>" name="<?php echo $this->get_field_name( 'qty' ); ?>" value="<?php echo $instance['qty']; ?>" style="width:100%;" />

			</p>

			

			<p>

				<label for="<?php echo $this->get_field_id( 'exclude' ); ?>"><?php _e( 'Exclude Categories', LANGUAGE ); ?>:</label>

				<input id="<?php echo $this->get_field_id( 'exclude' ); ?>" name="<?php echo $this->get_field_name( 'exclude' ); ?>" value="<?php echo $instance['exclude']; ?>" style="width:100%;" />

			</p>



			

		<?php }

	

	}

	

	// Flickr Widget

	

	class Celta_Flickr extends WP_Widget {

	

		function Celta_Flickr() {

		

			/* Widget settings. */

			$widget_ops = array( 'classname' => 'celta-flickr', 'description' => __( 'Custom widget that displays picture from Flickr.', LANGUAGE ) );



			/* Widget control settings. */

			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'celta-flickr' );



			/* Create the widget. */

			$this->WP_Widget( 'celta-flickr', __( 'Celta Flickr', LANGUAGE ), $widget_ops, $control_ops );

		}

		

		function widget( $args, $instance ) {

		

			extract( $args );



			/* User-selected settings. */

			$title = apply_filters( 'widget_title', $instance['title'] );

			$flickrID = $instance['flickrID'];

			$postcount = $instance['postcount'];

			$type = $instance['type'];

			$display = $instance['display'];



			/* Before widget (defined by themes). */

			echo $before_widget;



			/* Title of widget (before and after defined by themes). */

			if ( $title )

				echo $before_title . $title . $after_title;



			?>

			

			<div id="flickr_badge_wrapper" class="clearfix">

	

				<script type="text/javascript" src="http://www.flickr.com/badge_code_v2.gne?count=<?php echo $postcount ?>&amp;display=<?php echo $display ?>&amp;size=s&amp;layout=x&amp;source=<?php echo $type ?>&amp;<?php echo $type ?>=<?php echo $flickrID ?>"></script>

				

			</div>

	

			<?php



			/* After widget (defined by themes). */

			echo $after_widget;

		}

		

		function update( $new_instance, $old_instance ) {

		

			$instance = $old_instance;



			/* Strip tags (if needed) and update the widget settings. */

			$instance['title'] = strip_tags( $new_instance['title'] );

			$instance['flickrID'] = strip_tags( $new_instance['flickrID'] );

			$instance['postcount'] = $new_instance['postcount'];

			$instance['type'] = $new_instance['type'];

			$instance['display'] = $new_instance['display'];



			return $instance;

		}

		

		function form( $instance ) {



			/* Set up some default widget settings. */

			$defaults = array(

				'title' => __( 'Flickr Pictures', LANGUAGE ),

				'flickrID' => '52617155@N08',

				'postcount' => '6',

				'type' => 'user',

				'display' => 'latest',

			);

			$instance = wp_parse_args( (array) $instance, $defaults ); ?>

			

			<p>

				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title', LANGUAGE ); ?>:</label>

				<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />

			</p>



			<p>

				<label for="<?php echo $this->get_field_id( 'flickrID' ); ?>"><?php _e( 'Flickr ID:', LANGUAGE ) ?> (<a href="http://idgettr.com/">idGettr</a>)</label>

				<input class="widefat" id="<?php echo $this->get_field_id( 'flickrID' ); ?>" name="<?php echo $this->get_field_name( 'flickrID' ); ?>" value="<?php echo $instance['flickrID']; ?>" />

			</p>

			

			<p>

				<label for="<?php echo $this->get_field_id( 'postcount' ); ?>"><?php _e( 'Number of Pictures:', LANGUAGE ) ?></label>

				<select id="<?php echo $this->get_field_id( 'postcount' ); ?>" name="<?php echo $this->get_field_name( 'postcount' ); ?>" class="widefat">

					<option <?php if ( '4' == $instance['postcount'] ) echo 'selected="selected"'; ?>>3</option>

					<option <?php if ( '8' == $instance['postcount'] ) echo 'selected="selected"'; ?>>6</option>

					<option <?php if ( '8' == $instance['postcount'] ) echo 'selected="selected"'; ?>>9</option>

				</select>

			</p>

			

			<p>

				<label for="<?php echo $this->get_field_id( 'type' ); ?>"><?php _e( 'Type (User - Group):', LANGUAGE ) ?></label>

				<select id="<?php echo $this->get_field_id( 'type' ); ?>" name="<?php echo $this->get_field_name( 'type' ); ?>" class="widefat">

					<option <?php if ( 'user' == $instance['type'] ) echo 'selected="selected"'; ?>>user</option>

					<option <?php if ( 'group' == $instance['type'] ) echo 'selected="selected"'; ?>>group</option>

				</select>

			</p>



			<p>

				<label for="<?php echo $this->get_field_id( 'display' ); ?>"><?php _e( 'Display (Random - Latest):', LANGUAGE ) ?></label>

				<select id="<?php echo $this->get_field_id( 'display' ); ?>" name="<?php echo $this->get_field_name( 'display' ); ?>" class="widefat">

					<option <?php if ( 'random' == $instance['display'] ) echo 'selected="selected"'; ?>>random</option>

					<option <?php if ( 'latest' == $instance['display'] ) echo 'selected="selected"'; ?>>latest</option>

				</select>

			</p>

			

		<?php }

	

	}

	

	// Latest Comments Widget

	

	class Celta_Latest_Comments extends WP_Widget {

	

		function Celta_Latest_Comments() {

		

			/* Widget settings. */

			$widget_ops = array( 'classname' => 'celta-latest-comments', 'description' => __( 'Custom widget that displays the latest comments using thumbnails.', LANGUAGE ) );



			/* Widget control settings. */

			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'celta-latest-comments' );



			/* Create the widget. */

			$this->WP_Widget( 'celta-latest-comments', __( 'Celta Latest Comments', LANGUAGE ), $widget_ops, $control_ops );

		}

		

		function widget( $args, $instance ) {

		

			extract( $args );



			/* User-selected settings. */

			$title = apply_filters( 'widget_title', $instance['title'] );

			$qty = $instance['qty'];



			/* Before widget (defined by themes). */

			echo $before_widget;



			/* Title of widget (before and after defined by themes). */

			if ( $title )

				echo $before_title . $title . $after_title;



			$comments = get_comments( 'number=' . $qty );

			foreach( $comments as $comm ) :

				$url = '<a href="'. get_permalink($comm->comment_post_ID).'#comment-'.$comm->comment_ID .'" title="'.$comm->comment_author .' | '.get_the_title($comm->comment_post_ID).'">' . $comm->comment_author . '</a>';

				?>

				<div class="celta-latest">

					<?php echo get_avatar( $comm->comment_author_email, 40 ); ?>

					<p><strong><?php echo $url; ?></strong></p>

					<p><?php echo $this->crop_comment( $comm->comment_content, 85 ); ?></p>

				</div>

				<?php

			endforeach;



			/* After widget (defined by themes). */

			echo $after_widget;

		}

		

		function update( $new_instance, $old_instance ) {

		

			$instance = $old_instance;



			/* Strip tags (if needed) and update the widget settings. */

			$instance['title'] = strip_tags( $new_instance['title'] );

			$instance['qty'] = strip_tags( $new_instance['qty'] );



			return $instance;

		}

		

		function form( $instance ) {



			/* Set up some default widget settings. */

			$defaults = array( 'title' => __( 'Latest Comments', LANGUAGE ), 'qty' => '3' );

			$instance = wp_parse_args( (array) $instance, $defaults ); ?>

			

			<p>

				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title', LANGUAGE ); ?>:</label>

				<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />

			</p>



			<p>

				<label for="<?php echo $this->get_field_id( 'qty' ); ?>"><?php _e( 'Number of Comments', LANGUAGE ); ?>:</label>

				<input id="<?php echo $this->get_field_id( 'qty' ); ?>" name="<?php echo $this->get_field_name( 'qty' ); ?>" value="<?php echo $instance['qty']; ?>" style="width:100%;" />

			</p>

	

		<?php }

		

		function crop_comment( $text, $maxchar, $end = '[...]' ){

			if(  strlen( $text ) > $maxchar ){

				$cropped = true;

				$words = explode( " ", $text );

				$output = '';

				$i = 0;

				while( 1 ) {

					$length = ( strlen( $output ) + strlen( $words[$i] ) );

					if ( $length > $maxchar ) {

						break;

					} else {

						$output = $output . " " . $words[$i];

						++$i;

					};

				};

			} else {

				$output = $text;

			}

			if ( $cropped ) 

				return $output.$end;

			else

				return $output;

		}

	

	}

	

	// Popular Posts Widget

	

	class Celta_Popular_Posts extends WP_Widget {

	

		function Celta_Popular_Posts() {

		

			/* Widget settings. */

			$widget_ops = array( 'classname' => 'celta-popular-posts', 'description' => __( 'Custom widget that displays popular posts using thumbnails.', LANGUAGE ) );



			/* Widget control settings. */

			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'celta-popular-posts' );



			/* Create the widget. */

			$this->WP_Widget( 'celta-popular-posts', __( 'Celta Popular Posts', LANGUAGE ), $widget_ops, $control_ops );

		}

		

		function widget( $args, $instance ) {

		

			extract( $args );



			/* User-selected settings. */

			$title = apply_filters( 'widget_title', $instance['title'] );

			$qty = $instance['qty'];



			/* Before widget (defined by themes). */

			echo $before_widget;



			/* Title of widget (before and after defined by themes). */

			if ( $title )

				echo $before_title . $title . $after_title;

				

			global $wpdb;

			$posts = $wpdb->get_results( "SELECT comment_count, ID, post_title FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , $qty" );

			foreach ( $posts as $post ) {

				setup_postdata( $post );

				$id = $post->ID;

				$title = $post->post_title;

				$count = $post->comment_count;

				if ( $count != 0 ) {

					echo '<div class="celta-latest">';

					if ( has_post_thumbnail( $id ) )

						echo get_the_post_thumbnail( $id, 'widget-thumb' );

					echo '<p>';

					echo '<time datetime="' . get_the_time( 'Y-m-d', $id ) . '" class="published">' . get_the_time( 'j F Y', $id ) . '</time>';

					echo '<br /><a href="' . get_permalink( $id ) . '" title="" class="latest-title">' . $title . '</a>';

					echo '</p>';

					echo '</div>';

				}

			}



			/* After widget (defined by themes). */

			echo $after_widget;

		}

		

		function update( $new_instance, $old_instance ) {

		

			$instance = $old_instance;



			/* Strip tags (if needed) and update the widget settings. */

			$instance['title'] = strip_tags( $new_instance['title'] );

			$instance['qty'] = strip_tags( $new_instance['qty'] );



			return $instance;

		}

		

		function form( $instance ) {



			/* Set up some default widget settings. */

			$defaults = array( 'title' => __( 'Popular Posts', LANGUAGE ), 'qty' => '3' );

			$instance = wp_parse_args( (array) $instance, $defaults ); ?>

			

			<p>

				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title', LANGUAGE ); ?>:</label>

				<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />

			</p>



			<p>

				<label for="<?php echo $this->get_field_id( 'qty' ); ?>"><?php _e( 'Number of Posts', LANGUAGE ); ?>:</label>

				<input id="<?php echo $this->get_field_id( 'qty' ); ?>" name="<?php echo $this->get_field_name( 'qty' ); ?>" value="<?php echo $instance['qty']; ?>" style="width:100%;" />

			</p>

			

		<?php }

	

	}

	

	// Twitter Widget

	

	class Celta_Twitter extends WP_Widget {

	

		function Celta_Twitter() {

		

			/* Widget settings. */

			$widget_ops = array( 'classname' => 'celta-twitter', 'description' => __( 'Custom widget that displays your latest tweets.', LANGUAGE ) );



			/* Widget control settings. */

			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'celta-twitter' );



			/* Create the widget. */

			$this->WP_Widget( 'celta-twitter', __( 'Celta Twitter', LANGUAGE ), $widget_ops, $control_ops );

		}

		

		function widget( $args, $instance ) {

		

			extract( $args );



			/* User-selected settings. */

			$title = apply_filters( 'widget_title', $instance['title'] );

			$username = $instance['username'];

			$postcount = $instance['postcount'];

			$tweettext = $instance['tweettext'];



			/* Before widget (defined by themes). */

			echo $before_widget;



			/* Title of widget (before and after defined by themes). */

			if ( $title )

				echo $before_title . $title . $after_title;

			 ?>
			<a class="twitter-timeline" href="https://twitter.com/pmthotels" data-widget-id="279200372206215168">Tweets de @pmthotels</a>
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>


			<?php 



			/* After widget (defined by themes). */

			echo $after_widget;

		}

		

		function update( $new_instance, $old_instance ) {

		

			$instance = $old_instance;



			/* Strip tags (if needed) and update the widget settings. */

			$instance['title'] = strip_tags( $new_instance['title'] );

			$instance['username'] = strip_tags( $new_instance['username'] );

			$instance['postcount'] = strip_tags( $new_instance['postcount'] );

			$instance['tweettext'] = strip_tags( $new_instance['tweettext'] );



			return $instance;

		}

		

		function form( $instance ) {



			/* Set up some default widget settings. */

			$defaults = array(

				'title' => __( 'Latest Tweets', LANGUAGE ),

				'username' => 'celtathemes',

				'postcount' => '3',

				'tweettext' => __( 'Follow us', LANGUAGE ),

			);

			$instance = wp_parse_args( (array) $instance, $defaults ); ?>

			

			<p>

				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title', LANGUAGE ); ?>:</label>

				<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />

			</p>



			<p>

				<label for="<?php echo $this->get_field_id( 'username' ); ?>"><?php _e( 'Twitter Username e.g. celtathemes', LANGUAGE ) ?></label>

				<input class="widefat" id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" value="<?php echo $instance['username']; ?>" />

			</p>

			

			<p>

				<label for="<?php echo $this->get_field_id( 'postcount' ); ?>"><?php _e( 'Number of tweets', LANGUAGE ) ?></label>

				<input class="widefat" id="<?php echo $this->get_field_id( 'postcount' ); ?>" name="<?php echo $this->get_field_name( 'postcount' ); ?>" value="<?php echo $instance['postcount']; ?>" />

			</p>

			

			<p>

				<label for="<?php echo $this->get_field_id( 'tweettext' ); ?>"><?php _e( 'Follow Text e.g. Follow us', LANGUAGE ) ?></label>

				<input class="widefat" id="<?php echo $this->get_field_id( 'tweettext' ); ?>" name="<?php echo $this->get_field_name( 'tweettext' ); ?>" value="<?php echo $instance['tweettext']; ?>" />

			</p>

			

		<?php }

	

	}

	

?>