jQuery(document).ready( function () {
	
	// CSS Addons
	jQuery('ol li:nth-child(1)').prepend('<span>.1</span>');
	jQuery('ol li:nth-child(2)').prepend('<span>.2</span>');
	jQuery('ol li:nth-child(3)').prepend('<span>.3</span>');
	jQuery('ol li:nth-child(4)').prepend('<span>.4</span>');
	jQuery('ol li:nth-child(5)').prepend('<span>.5</span>');
	jQuery('ol li:nth-child(6)').prepend('<span>.6</span>');
	
	jQuery('.current-menu-item a, .current-menu-parent > a').addClass('active');
	jQuery('nav[role="navigation"] li ul').hover( function() {
		jQuery(this).parent().find('a').addClass('active');
		jQuery('nav[role="navigation"] li li a').removeClass('active');
	}, function() {
		if (jQuery('nav[role="navigation"] > li').find('.active').length != 1) {
			jQuery(this).parent().find('a').removeClass('active');
		}
	});
	
	// Main Slider
	jQuery('#slider-imgs').cycle({ 
		fx:     'fade', 
		timeout: 5000, 
		pager:  '#slider-controls' 
	});
	
	// Single Portfolio Slider
	jQuery('#portfolio-slider div').after('<div id="portfolio-rotator"></div>').cycle({ 
		fx:     'fade', 
		timeout: 5000, 
		pager:  '#portfolio-rotator' 
	});
	
	// PrettyPhoto
	jQuery("a[rel^='prettyPhoto']").prettyPhoto({});
	jQuery("a[rel^='prettyPhoto']:has(img)").css('position', 'relative').append('<div class="prettyZoom"></div>');
	jQuery("a[rel^='prettyPhoto']:has(img)").hover( function() {
		jQuery(this).find('.prettyZoom').css('display', 'block');
	}, function() {
		jQuery(this).find('.prettyZoom').css('display', 'none');
	});
	
	// Tabs Shortcode
	jQuery('.celta-tabs').each( function(index) {
		jQuery(this).find('.celta-tab').hide();
		jQuery(this).find('.celta-tab').first().show();
		jQuery(this).find('.celta-tabsNav a').first().addClass('active');
	});
	jQuery('.celta-tabsNav a').each( function(index) {
		jQuery(this).attr('rel', 'tab' + index);
	});
	jQuery('.celta-tab').each( function(index) {
		jQuery(this).attr('id', 'tab' + index);
	});
	jQuery('.celta-tabsNav a').click( function () {
		var hash = jQuery(this).attr('rel');
		jQuery(this).parents('.celta-tabs').find('.celta-tabsNav a').removeClass('active');
		jQuery(this).addClass('active');
		jQuery(this).parents('.celta-tabs').find('.celta-tab').hide();
		jQuery('.celta-tab#' + hash).fadeIn();
		return false;
	});
	
	// Toggle Shortcode
	jQuery('.celta-toggle-box').hide();
	jQuery('.celta-toggle-title a').toggle( 
		function() {
			jQuery(this).parent().addClass('active');
			jQuery(this).parents('.celta-toggle').find('.celta-toggle-box').slideDown();
			jQuery(this).html('[-] Collapse'); },
		function() {
			jQuery(this).parent().removeClass('active');
			jQuery(this).parents('.celta-toggle').find('.celta-toggle-box').slideUp();
			jQuery(this).html('[+] Expand');
		}
	);
	jQuery('.celta-toggle.open').find('.celta-toggle-title a').click();
	
	// Tooltip Shortcode
	jQuery('.celta-tooltip').tipsy({
		gravity: 's',
		fade:    true,
		opacity: 1
	});
	
	// Columns CSS Fix
	jQuery('body:has(#sidebar)').addClass('sidebarPage');
	var leftHeight = jQuery('#left-sidebar').height() + 33;
	var bodyHeight = jQuery('.page-content').height();
	if ( leftHeight > bodyHeight ) {
		jQuery('.page-content').height(leftHeight);
	}

});

jQuery(window).load(function(){  
	// Slider Shortcode
	function onAfter(curr, next, opts, fwd) {
		jQuery(this).find('p').each( function() {
			if ( jQuery(this).html() == '' ) {
				jQuery(this).remove();
			}
		});
		var $ht = jQuery(this).height();
		jQuery(this).parent().animate({height: $ht});	
	}
	jQuery('.celta-slide').cycle({ 
		fx:     'fade', 
		timeout: 5000, 
		next:   '.celta-next', 
		prev:   '.celta-prev',
		height: 'auto',
		before: onAfter,
		cleartypeNoBg: true,
		cleartype: true,
		slideResize:   0
	});
});