<?php require( CELTA_LIB . "theme-options-vars.php" ); ?>

<?php get_header(); ?>

<h1><?php _e( 'Portfolio', LANGUAGE ); ?></h1>

<?php if(have_posts()) : while(have_posts()) : the_post(); ?>

	<div id="blog-single" class="hfeed portfolio-single">
	
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		
			<header>
			
				<p>
					<a href="<?php the_permalink(); ?>" title="" class="comments-count"><?php echo get_comments_number(); ?></a>
					<time datetime="<?php the_time( 'Y-m-d' ); ?>" class="published"><?php the_time( 'j F Y' ); ?></time>
					<?php edit_post_link( __( 'Edit', LANGUAGE ), ' <span class="sep">|</span> <span class="edit">', '</span> ' ); ?>
					<span class="facebook-like"><iframe src="http://www.facebook.com/plugins/like.php?href=<?php echo urlencode(get_permalink($post->ID)); ?>&amp;layout=button_count&amp;show_faces=false&amp;width=75&amp;action=like&amp;font&amp;colorscheme=light&amp;height=21" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:95px; height:21px; margin-left: 3px;" allowTransparency="true"></iframe></span>
				</p>
			
			</header>
			
			<div id="portfolio-slider">
				
				<?php
					if ( get_post_meta( $post->ID, 'celta_folio_video', true ) == true ) {
					
					for ($i = 1; $i <= 5; $i++) {
						$full = get_post_meta( $post->ID, 'celta_full_img_' . $i, true );
						if ( strpos( $full, 'vimeo' ) ) {
							$video = explode( '.com/', $full );
							echo '<iframe src="http://player.vimeo.com/video/' . $video[1] . '" width="699" height="422" frameborder="0"></iframe>';
							break;
						} elseif ( strpos( $full, 'youtube' ) ) {
							$video = explode( 'v=', $full );
							echo '<iframe title="YouTube video player" width="699" height="422" src="http://www.youtube.com/embed/' . $video[1] . '" frameborder="0"></iframe>';
							break;
						}
					}
					
					} else {
				?>
				
						<div>
						<?php
							for ($i = 1; $i <= 5; $i++) {
								$full = get_post_meta( $post->ID, 'celta_full_img_' . $i, true );
								if ( $full != '' ) {
									if ( strpos( $full, 'jpg' ) || strpos( $full, 'png' ) ) {
										$image = celta_resize( null, $full, 699, 422, true ); ?>
										<img src="<?php echo $image[url]; ?>" width="<?php echo $image[width]; ?>" height="<?php echo $image[height]; ?>" alt="" />
									<?php }
								}
							}
						?>
						</div>
				
				<?php } ?>
			
			</div>
			
			<div class="entry-content">
				
				<?php the_title( '<h2 class="entry-title"><a href="' . get_permalink() . '" title="' . the_title_attribute('echo=0') . '" rel="bookmark">', '</a></h2>' ); ?>
				<?php the_content(); ?>
				<?php wp_link_pages( 'before=<p class="pages">' . __( 'Pages:', LANGUAGE ) . '&after=</p>' ); ?>
				
			</div>
			
			<footer class="post-info">
			
				<p><?php the_tags( '<span class="tags">' . __( 'Services', LANGUAGE ) . ': ', ', ', '</span>' ); ?></p>
			
			</footer>
			
			<div class="clear"></div>

		</article>
	
	</div>
		
	<?php 
	if ( $celta_folio_related == true ) {
		$orig_post = $post;
		global $post;
		$tags = wp_get_post_tags( $post->ID );
		if ( $tags ) {
			$tag_ids = array();
			foreach( $tags as $individual_tag ) $tag_ids[] = $individual_tag -> term_id;
			$args = array(
				'tag__in' => $tag_ids,
				'post__not_in' => array( $post->ID ),
				'posts_per_page' => 6,
				'caller_get_posts' => 1,
				'post_type' => 'portfolio'
			);
			$related_query = new wp_query( $args );
			if( $related_query -> have_posts() ) {

				echo '<div id="related-posts"><h3>' . __( '[:en]Related Projects[:fr]Projets similaires', LANGUAGE ) . '</h3>';

				while( $related_query->have_posts() ) {
					$related_query->the_post();
					echo '<div class="celta-related">';
					if ( has_post_thumbnail() )
						the_post_thumbnail( 'widget-thumb' );
					echo '<p>';
					echo '<a href="' . get_permalink() . '" title="" class="related-title">' . get_the_title() . '</a>';
					echo '</p>';
					echo '</div>';
				}
				
				echo '</div>';
			}
		$post = $orig_post;
		wp_reset_query();
		} 
	} ?>
	
<?php endwhile; ?>

<?php endif; ?>	

<?php get_footer(); ?>