<?php
/*
Template Name: Portfolio
*/
?>

<?php 
	require( CELTA_LIB . "theme-options-vars.php" );
	$columns = strtolower( $celta_folio_columns ); 
	if ( $columns == 'two' )
		$img_width = 324;
	elseif ( $columns == 'three')
		$img_width = 204;
	else
		$img_width = 144;
?>

<?php get_header(); ?>

<?php if(have_posts()) : while(have_posts()) : the_post(); ?>

	<?php if ( function_exists( 'yoast_breadcrumb' ) ) : ?> 
		<p id="breadcrumb"><?php yoast_breadcrumb(); ?></p>
	<?php endif; ?>

	<h1><?php the_title(); ?></h1>
	
	<?php the_content(); ?>

<?php endwhile; ?>

<?php endif; ?>	

<ul id="portfolio-gallery" class="<?php echo $columns; ?>">

<?php $loop = new WP_Query( array( 'post_type' => 'portfolio', 'posts_per_page' => -1 ) ); ?>

<?php while ( $loop->have_posts() ) : $loop->the_post(); ?>

	<li>
	
		<figure>

			<?php $item_name = str_replace( ' ', '', strtolower( get_the_title() ) ); ?>
			<a href="<?php echo get_post_meta( $post->ID, 'celta_full_img_1', true ); ?>" title="<?php the_title_attribute(); ?>" rel="prettyPhoto[<?php echo $item_name; ?>]">
				<?php $thumb = get_post_thumbnail_id(); $image = celta_resize( $thumb, '', $img_width, 104, true ); ?>
				<img src="<?php echo $image[url]; ?>" width="<?php echo $image[width]; ?>" height="<?php echo $image[height]; ?>" alt="<?php the_title_attribute(); ?>" />
			</a>

		</figure>
		
		<div class="extra_lightbox" style="display: none">
			<?php
				for ($i = 2; $i <= 5; $i++) {
					if ( get_post_meta( $post->ID, 'celta_full_img_' . $i, true ) ) { ?>
						<a href="<?php echo get_post_meta( $post->ID, 'celta_full_img_' . $i, true ); ?>" title="<?php the_title_attribute(); ?>" rel="prettyPhoto[<?php echo $item_name; ?>]"><?php the_title_attribute(); ?></a>
					<?php }
				}
				
			?>
		</div>
		
		<?php if ( $celta_folio_title == true ) { ?>
		
			<h3><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
			
			<?php the_excerpt(); ?>
		
		<?php } ?>
		
		<?php if ( $celta_folio_single == true ) { ?>
            <p class="portfolio-more"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="button" align="right"><?php _e('[:en]Learn more[:fr]En savoir plus'); ?>&nbsp;&nbsp;&rarr;</a></p>
		<?php } ?>
		
	</li>
		
<?php endwhile; ?>

</ul>

<p><a href="http://www.pmthotels.com/autres-references" title="Liste de tous nos clients" class="button" align="right" style="margin-bottom: 20px;"><?php _e('[:en]Other customers[:fr]Autres clients'); ?>&nbsp;&nbsp;&rarr;</a></p>

<?php get_footer(); ?>