<?php 

// ! File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }


// ! Removing unwanted shortcodes
/* vc_remove_element("vc_widget_sidebar"); */
vc_remove_element("vc_wp_search");
vc_remove_element("vc_wp_meta");
vc_remove_element("vc_wp_recentcomments");
vc_remove_element("vc_wp_calendar");
vc_remove_element("vc_wp_pages");
vc_remove_element("vc_wp_tagcloud");
vc_remove_element("vc_wp_custommenu");
vc_remove_element("vc_wp_text");
vc_remove_element("vc_wp_posts");
vc_remove_element("vc_wp_links");
vc_remove_element("vc_wp_categories");
vc_remove_element("vc_wp_archives");
vc_remove_element("vc_wp_rss");
vc_remove_element("vc_gallery");
vc_remove_element("vc_teaser_grid");
vc_remove_element("vc_button");
vc_remove_element("vc_cta_button");
vc_remove_element("vc_posts_grid");
vc_remove_element("vc_images_carousel");

// ! Changing rows and columns classes
function custom_css_classes_for_vc_row_and_vc_column($class_string, $tag) {
	if ($tag=='vc_row' || $tag=='vc_row_inner') {
		$class_string = str_replace('vc_row-fluid', 'wf-container', $class_string);
	}

	if ($tag=='vc_column' || $tag=='vc_column_inner') {
		$class_string = preg_replace('/vc_span(\d{1,2})/', 'wf-cell wf-span-$1', $class_string);
	}

	return $class_string;
}
add_filter('vc_shortcodes_css_class', 'custom_css_classes_for_vc_row_and_vc_column', 10, 2);


// ! Adding our classes to paint standard VC shortcodes
function custom_css_accordion($class_string, $tag) {
	if ( in_array( $tag, array('vc_accordion', 'vc_toggle', 'vc_progress_bar', 'vc_posts_slider') ) ) {
		$class_string .= ' dt-style';
	}

	return $class_string;
}
add_filter('vc_shortcodes_css_class', 'custom_css_accordion', 10, 2);

// ! Background for widgetized area
vc_add_param("vc_widget_sidebar", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Show background"),
	"admin_label" => true,
	"param_name" => "show_bg",
	"value" => array(
		"Yes" => "true",
		"No" => "false"
	),
	"description" => __("")
));

//********************************************************************************************
// ROW START
//********************************************************************************************

// remove font color
vc_remove_param('vc_row', 'font_color');

// remove margin bottom
vc_remove_param('vc_row', 'margin_bottom');

// remove bg color
vc_remove_param('vc_row', 'bg_color');

// remove bg image
vc_remove_param('vc_row', 'bg_image');

// remove css editor
vc_remove_param('vc_row', 'css');
vc_remove_param('vc_row_inner', 'css');

vc_add_param("vc_row", array(
	"type" => "textfield",
	"heading" => __("Anchor"),
	"param_name" => "anchor"
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"heading" => __("Minimum height"),
	"param_name" => "min_height",
	"description" => __("You can use pixels (px) or percents (%).")
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Top margin"),
	"param_name" => "margin_top",
	"value" => "0",
	"description" => __("In pixels; negative values are allowed."),
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Bottom margin"),
	"param_name" => "margin_bottom",
	"value" => "0",
	"description" => __("In pixels; negative values are allowed."),
));

// fullwidth
vc_add_param("vc_row", array(
	"type" => "checkbox",
	"class" => "",
	"heading" => __("Full-width content"),
	"param_name" => "full_width",
	"value" => array(
		"" => "true"
	)
));

vc_add_param("vc_row", array(
	"type" => "textfield", //attach_images
	//"holder" => "img",
	"class" => "",
	"heading" => __("Left padding"),
	"param_name" => "padding_left",
	"value" => 40,
	"dependency" => array(
		"element" => "full_width",
		"not_empty" => true
	)
));

vc_add_param("vc_row", array(
	"type" => "textfield", //attach_images
	//"holder" => "img",
	"class" => "",
	"heading" => __("Right padding"),
	"param_name" => "padding_right",
	"value" => 40,
	"dependency" => array(
		"element" => "full_width",
		"not_empty" => true
	)
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Animation"),
	"admin_label" => true,
	"param_name" => "animation",
	"value" => array(
		"None" => "",
		"Left" => "right-to-left",
		"Right" => "left-to-right",
		"Top" => "bottom-to-top",
		"Bottom" => "top-to-bottom",
		"Scale" => "scale-up",
		"Fade" => "fade-in"
	),
	"description" => __("")
));

// ! Adding stripes to rows
vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Row style"),
	"admin_label" => true,
	"param_name" => "type",
	"value" => array(
		"Default" => "",
		"Stripe 1" => "1",
		"Stripe 2" => "2",
		"Stripe 3" => "3",
		"Stripe 4" => "4",
		"Stripe 5" => "5"
	),
	"description" => __("")
));

vc_add_param("vc_row", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => __("Background color"),
	"param_name" => "bg_color",
	"value" => "",
	"description" => __(""),
	"dependency" => array(
		"element" => "type",
		"not_empty" => true
	)
));

vc_add_param("vc_row", array(
	"type" => "textfield", //attach_images
	//"holder" => "img",
	"class" => "dt_image",
	"heading" => __("Background image"),
	"param_name" => "bg_image",
	"description" => __("Image URL."),
	"dependency" => array(
		"element" => "type",
		"not_empty" => true
	)
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Background position"),
	"param_name" => "bg_position",
	"value" => array(
		"Top" => "top",
		"Middle" => "center",
		"Bottom" => "bottom"
	),
	"description" => __(""),
	"dependency" => array(
		"element" => "type",
		"not_empty" => true
	)
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Background repeat"),
	"param_name" => "bg_repeat",
	"value" => array(
		"No repeat" => "no-repeat",
		"Repeat (horizontally & vertically)" => "repeat",
		"Repeat horizontally" => "repeat-x",
		"Repeat vertically" => "repeat-y"
	),
	"description" => __(""),
	"dependency" => array(
		"element" => "type",
		"not_empty" => true
	)
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Full-width background"),
	"param_name" => "bg_cover",
	"value" => array(
		"Disabled" => "false",
		"Enabled" => "true"
	),
	"description" => __(""),
	"dependency" => array(
		"element" => "type",
		"not_empty" => true
	)
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Fixed background"),
	"param_name" => "bg_attachment",
	"value" => array(
		"Disabled" => "false",
		"Enabled" => "true"
	),
	"description" => __(""),
	"dependency" => array(
		"element" => "type",
		"not_empty" => true
	)
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Top padding"),
	"param_name" => "padding_top",
	"value" => "40",
	"description" => __("In pixels."),
	"dependency" => array(
		"element" => "type",
		"not_empty" => true
	)
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Bottom padding"),
	"param_name" => "padding_bottom",
	"value" => "40",
	"description" => __("In pixels."),
	"dependency" => array(
		"element" => "type",
		"not_empty" => true
	)
));

// parallax speed
vc_add_param("vc_row", array(
	"type" => "checkbox",
	"class" => "",
	"heading" => __("Enable parallax"),
	"param_name" => "enable_parallax",
	"value" => array(
		"" => "false"
	),
	// "description" => __("If selected, larger image will be opened on click."),
	"dependency" => array(
		"element" => "type",
		"not_empty" => true
	)
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Parallax speed"),
	"param_name" => "parallax_speed",
	"value" => "0.1",
	// "description" => __("In pixels."),
	"dependency" => array(
		"element" => "enable_parallax",
		"not_empty" => true
	)
));

// video background
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Video background (mp4)"),
	"param_name" => "bg_video_src_mp4",
	"value" => "",
	"dependency" => array(
		"element" => "type",
		"not_empty" => true
	)
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Video background (ogv)"),
	"param_name" => "bg_video_src_ogv",
	"value" => "",
	"dependency" => array(
		"element" => "type",
		"not_empty" => true
	)
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Video background (webm)"),
	"param_name" => "bg_video_src_webm",
	"value" => "",
	"dependency" => array(
		"element" => "type",
		"not_empty" => true
	)
));

//********************************************************************************************
// ROW END
//********************************************************************************************

///////////////
// VC Column //
///////////////

// remove css editor
vc_remove_param('vc_column', 'css');

vc_add_param("vc_column", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Animation"),
	"admin_label" => true,
	"param_name" => "animation",
	"value" => array(
		"None" => "",
		"Left" => "right-to-left",
		"Right" => "left-to-right",
		"Top" => "bottom-to-top",
		"Bottom" => "top-to-bottom",
		"Scale" => "scale-up",
		"Fade" => "fade-in"
	),
	"description" => __("")
));

/////////////
// VC Tabs //
/////////////

vc_add_param("vc_tabs", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Style"),
	"param_name" => "style",
	"value" => array(
		"Style 1" => "tab-style-one",
		"Style 2" => "tab-style-two",
		"Style 3" => "tab-style-three"
	),
	"description" => __("")
));

/////////////
// VC Tour //
/////////////

vc_add_param("vc_tour", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Style"),
	"param_name" => "style",
	"value" => array(
		"Style 1" => "tab-style-one",
		"Style 2" => "tab-style-two",
		"Style 3" => "tab-style-three"
	),
	"description" => __("")
));

/////////////////
// Fancy Titles //
/////////////////

vc_map( array(
	"name" => "Fancy Titles",
	"base" => "dt_fancy_title",
	"icon" => "icon-wpb-ui-separator-label",
	"category" => __('by Dream-Theme'),
	"description" => '',
	"params" => array(
		array(
			"type" => "textfield",
			"heading" => "Title",
			"param_name" => "title",
			"holder" => "div",
			"value" => "Title",
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"heading" => "Title position",
			"param_name" => "title_align",
			"value" => array(
				'centre' => "center",
				'left' => "left",
				'right' => "right"
			),
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"heading" => "Title size",
			"param_name" => "title_size",
			"value" => array(
				'small' => "small",
				'medium' => "normal",
				'large' => "big",
				'h1' => "h1",
				'h2' => "h2",
				'h3' => "h3",
				'h4' => "h4",
				'h5' => "h5",
				'h6' => "h6",
			),
			"std" => "normal",
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"heading" => "Title color",
			"param_name" => "title_color",
			"value" => array(
				"default" => "default",
				"accent" => "accent",
				"custom" => "custom"
			),
			"std" => "default",
			"description" => ""
		),
		array(
			"type" => "colorpicker",
			"heading" => "Custom title color",
			"param_name" => "custom_title_color",
			"dependency" => array(
				"element" => "title_color",
				"value" => array( "custom" )
			),
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"heading" => "Separator style",
			"param_name" => "separator_style",
			"value" => array(
				"line" => "",
				"dashed" => "dashed",
				"dotted" => "dotted",
				"double" => "double",
				"thick" => "thick",
				"disabled" => "disabled"
			),
			"description" => ""
		),
		array(
			"type" => "textfield",
			"heading" => "Element width (in %)",
			"param_name" => "el_width",
			"value" => "",
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"heading" => "Background under title",
			"param_name" => "title_bg",
			"value" => array(
				"enabled" => "enabled",
				"disabled" => "disabled"
			),
			"std" => "disabled",
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"heading" => "Separator & background color",
			"param_name" => "separator_color",
			"value" => array(
				"default" => "default",
				"accent" => "accent",
				"custom" => "custom"
			),
			"std" => "default",
			"description" => ""
		),
		array(
			"type" => "colorpicker",
			"heading" => "Custom separator color",
			"param_name" => "custom_separator_color",
			"dependency" => array(
				"element" => "separator_color",
				"value" => array( "custom" )
			),
			"description" => ""
		),
	)
) );

/////////////////////
// Fancy Separators //
/////////////////////

vc_map( array(
	"name" => "Fancy Separators",
	"base" => "dt_fancy_separator",
	"icon" => "icon-wpb-ui-separator",
	"category" => __('by Dream-Theme'),
	"description" => '',
	"params" => array(
		array(
			"type" => "dropdown",
			"heading" => "Separator style",
			"param_name" => "separator_style",
			"value" => array(
				"line" => "line",
				"dashed" => "dashed",
				"dotted" => "dotted",
				"double" => "double",
				"thick" => "thick"
			),
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"heading" => "Separator color",
			"param_name" => "separator_color",
			"value" => array(
				"default" => "default",
				"accent" => "accent",
				"custom" => "custom"
			),
			"std" => "default",
			"description" => ""
		),
		array(
			"type" => "colorpicker",
			"heading" => "Custom separator color",
			"param_name" => "custom_separator_color",
			"dependency" => array(
				"element" => "separator_color",
				"value" => array( "custom" )
			),
			"description" => ""
		),
		array(
			"type" => "textfield",
			"heading" => "Element width (in %)",
			"param_name" => "el_width",
			"value" => "",
			"description" => ""
		),
	)
) );

// ! Fancy Quote
vc_map( array(
	"name" => __("Fancy Quote"),
	"base" => "dt_quote",
	"icon" => "dt_vc_ico_quote",
	"class" => "dt_vc_sc_quote",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "textarea_html",
			"holder" => "div",
			"class" => "",
			"heading" => __("Content"),
			"param_name" => "content",
			"value" => __("<p>I am test text for QUOTE. Click edit button to change this text.</p>"),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Quote type"),
			"param_name" => "type",
			"value" => array(
				"Blockquote" => "blockquote",
				"Pullquote" => "pullquote"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Font size"),
			"param_name" => "font_size",
			"value" => array(
				"Normal" => "normal",
				"Small" => "small",
				"Big" => "big"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Background & Border"),
			"param_name" => "background",
			"value" => array(
				"Border enabled, no background" => "plain",
				"Border & background enabled" => "fancy"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Animation"),
			"param_name" => "animation",
			"value" => array(
				"None" => "none",
				"Left" => "left",
				"Right" => "right",
				"Top" => "top",
				"Bottom" => "bottom",
				"Scale" => "scale",
				"Fade" => "fade"
			),
			"description" => __("")
		)
	)
) );

// ! Call to Action
vc_map( array(
	"name" => __("Call to Action"),
	"base" => "dt_call_to_action",
	"icon" => ".dt_vc_ico_call_to_action",
	"class" => "dt_vc_sc_call_to_action",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "textarea_html",
			"holder" => "div",
			"class" => "",
			"heading" => __("Content"),
			"param_name" => "content",
			"value" => __("<p>I am test text for CALL TO ACTION. Click edit button to change this text.</p>"),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Font size"),
			"param_name" => "content_size",
			"value" => array(
				"Normal" => "normal",
				"Small" => "small",
				"Big" => "big"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Text align"),
			"param_name" => "text_align",
			"value" => array(
				"Left" => "left",
				"Center" => "center"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Background & Border"),
			"param_name" => "background",
			"value" => array(
				"None" => "no",
				"Border enabled, no background" => "plain",
				"Border & background enabled" => "fancy"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Color accent"),
			"param_name" => "line",
			"value" => array(
				"Disable" => "false",
				"Enable" => "true"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Button alignment"),
			"param_name" => "style",
			"value" => array(
				"Default" => "0",
				"On the right" => "1",
				// "Center after the text" => "2"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Animation"),
			"param_name" => "animation",
			"value" => array(
				"None" => "none",
				"Left" => "left",
				"Right" => "right",
				"Top" => "top",
				"Bottom" => "bottom",
				"Scale" => "scale",
				"Fade" => "fade"
			),
			"description" => __("")
		)
	)
) );

// ! Teaser
vc_map( array(
	"name" => __("Teaser"),
	"base" => "dt_teaser",
	"icon" => "dt_vc_ico_teaser",
	"class" => "dt_vc_sc_teaser",
	"category" => __('by Dream-Theme'),
	"params" => array(

		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Type"),
			"param_name" => "type",
			"value" => array(
				"Uploaded image" => "uploaded_image",
				"Image from url" => "image",
				"Video from url" => "video"
			),
			"description" => __("")
		),

		//////////////////////
		// uploaded image //
		//////////////////////

		array(
			"type" => "attach_image",
			"holder" => "img",
			"class" => "dt_image",
			"heading" => __("Choose image"),
			"param_name" => "image_id",
			"value" => "",
			"description" => __(""),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"uploaded_image"
				)
			)
		),

		//////////////////////
		// image from url //
		//////////////////////

		// image url
		array(
			"type" => "textfield",
			"class" => "dt_image",
			"heading" => __("Image URL"),
			"param_name" => "image",
			"value" => "",
			"description" => __(""),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"image"
				)
			)
		),

		// image width
		array(
			"type" => "textfield",
			"class" => "dt_image",
			"heading" => __("Image WIDTH"),
			"param_name" => "image_width",
			"value" => "",
			"description" => __("image width in px"),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"image"
				)
			)
		),

		// image height
		array(
			"type" => "textfield",
			"class" => "dt_image",
			"heading" => __("Image HEIGHT"),
			"param_name" => "image_height",
			"value" => "",
			"description" => __("image height in px"),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"image"
				)
			)
		),

		// image alt
		array(
			"type" => "textfield",
			"class" => "dt_image",
			"heading" => __("Image ALT"),
			"param_name" => "image_alt",
			"value" => "",
			"description" => __(""),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"image",
					"uploaded_image"
				)
			)
		),

		// misc link
		array(
			"type" => "textfield",
			"class" => "dt_image",
			"heading" => __("Misc link"),
			"param_name" => "misc_link",
			"value" => "",
			"description" => __(""),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"image",
					"uploaded_image"
				)
			)
		),

		// target
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Target link"),
			"param_name" => "target",
			"value" => array(
				"Blank" => "blank",
				"Self" => "self"
			),
			"description" => __(""),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"image",
					"uploaded_image"
				)
			)
		),

		// open in lightbox
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Open in lighbox"),
			"param_name" => "lightbox",
			"value" => array(
				"" => "true"
			),
			"description" => __("If selected, larger image will be opened on click."),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"image",
					"uploaded_image"
				)
			)
		),

		//////////////////////
		// video from url //
		//////////////////////

		// video url
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Video URL"),
			"admin_label" => true,
			"param_name" => "media",
			"value" => "",
			"description" => __(""),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"video"
				)
			)
		),

		// content
		array(
			"type" => "textarea_html",
			"holder" => "div",
			"class" => "",
			"heading" => __("Content"),
			"param_name" => "content",
			"value" => __("I am test text for TEASER. Click edit button to change this text."),
			"description" => __("")
		),

		// media style
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Media style"),
			"param_name" => "style",
			"value" => array(
				"Full-width" => "1",
				"With paddings" => "2"
			),
			"description" => __("")
		),

		// font size
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Font size"),
			"param_name" => "content_size",
			"value" => array(
				"Normal" => "normal",
				"Small" => "small",
				"Big" => "big"
			),
			"description" => __("")
		),

		// text align
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Text align"),
			"param_name" => "text_align",
			"value" => array(
				"Left" => "left",
				"Center" => "center"
			),
			"description" => __("")
		),

		// background
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Background & Border"),
			"param_name" => "background",
			"value" => array(
				"None" => "no",
				"Border enabled, no background" => "plain",
				"Border & background enabled" => "fancy"
			),
			"description" => __("")
		),

		// animation
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Animation"),
			"param_name" => "animation",
			"value" => array(
				"None" => "none",
				"Left" => "left",
				"Right" => "right",
				"Top" => "top",
				"Bottom" => "bottom",
				"Scale" => "scale",
				"Fade" => "fade"
			),
			"description" => __("")
		)
	)
) );

// ! Banner
vc_map( array(
	"name" => __("Banner"),
	"base" => "dt_banner",
	"icon" => "dt_vc_ico_banner",
	"class" => "dt_vc_sc_banner",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "textfield", //attach_images
			"holder" => "img",
			"class" => "dt_image",
			"heading" => __("Background image"),
			"param_name" => "bg_image",
			"description" => __("Image URL.")
		),
		array(
			"type" => "textarea_html",
			"holder" => "div",
			"class" => "",
			"heading" => __("Content"),
			"param_name" => "content",
			"value" => __("<p>I am test text for BANNER. Click edit button to change this text.</p>"),
			"description" => __("")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"admin_label" => true,
			"heading" => __("Banner link"),
			"param_name" => "link",
			"value" => ""
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Open link in"),
			"param_name" => "target_blank",
			"value" => array(
				"Same window" => "false",
				"New window" => "true"
			),
			"description" => __(""),
			"dependency" => array(
				"element" => "link",
				"not_empty" => true
			)
		),
		array(
			"type" => "colorpicker",
			"class" => "",
			"heading" => __("Background color"),
			"param_name" => "bg_color",
			"value" => "#000000",
			"description" => __("")
		),
		array(
			"type" => "textfield", //attach_images
			"class" => "",
			"heading" => __("Background opacity"),
			"param_name" => "bg_opacity",
			"value" => "50",
			"description" => __("Percentage (from 0 to 100).")
		),
		array(
			"type" => "colorpicker",
			"class" => "",
			"heading" => __("Text color"),
			"param_name" => "text_color",
			"value" => "#ffffff",
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Font size"),
			"param_name" => "text_size",
			"value" => array(
				"Normal" => "normal",
				"Small" => "small",
				"Big" => "big"
			),
			"description" => __("")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Border width"),
			"param_name" => "border_width",
			"value" => "3",
			"description" => __("In pixels.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Outer padding"),
			"param_name" => "outer_padding",
			"value" => "10",
			"description" => __("In pixels.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Inner padding"),
			"param_name" => "inner_padding",
			"value" => "10",
			"description" => __("In pixels.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Banner minimal height"),
			"param_name" => "min_height",
			"value" => "150",
			"description" => __("In pixels.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Animation"),
			"param_name" => "animation",
			"value" => array(
				"None" => "none",
				"Left" => "left",
				"Right" => "right",
				"Top" => "top",
				"Bottom" => "bottom",
				"Scale" => "scale",
				"Fade" => "fade"
			),
			"description" => __("")
		)
	)
) );

// ! Contact form
vc_map( array(
	"name" => __("Contact Form"),
	"base" => "dt_contact_form",
	"icon" => "dt_vc_ico_contact_form",
	"class" => "dt_vc_sc_contact_form",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Form fields"),
			"admin_label" => true,
			"param_name" => "fields",
			"value" => array(
				"name" => "name",
				"email" => "email",
				"telephone" => "telephone",
				"country" => "country",
				"city" => "city",
				"company" => "company",
				"website" => "website",
				"message" => "message"
			),
			"description" => __("Attention! At least one must be selected.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Message textarea height"),
			"param_name" => "message_height",
			"value" => "6",
			"description" => __("Number of lines."),
			"dependency" => array(
				"element" => "fields",
				"value" => array(
					"message"
				)
			)
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Required fields"),
			//"admin_label" => true,
			"param_name" => "required",
			"value" => array(
				"name" => "name",
				"email" => "email",
				"telephone" => "telephone",
				"country" => "country",
				"city" => "city",
				"company" => "company",
				"website" => "website",
				"message" => "message"
			),
			"description" => __("Attention! At least one must be selected.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __('Submit button caption'),
			"param_name" => "button_title",
			"value" => "Send message",
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Submit button size"),
			"param_name" => "button_size",
			"value" => array(
				"Small" => "small",
				"Medium" => "medium",
				"Big" => "big"
			),
			"description" => __("")
		)
	)
) );

/*
// ! Map
vc_map( array(
	"name" => __("Map"),
	"base" => "dt_map",
	"icon" => "dt_vc_ico_map",
	"class" => "dt_vc_sc_map",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "textfield",
			"class" => "",
			"admin_label" => true,
			"heading" => __("Map URL"),
			"param_name" => "content",
			"value" => ''
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Map height"),
			"param_name" => "height",
			"value" => "300",
			"description" => __("In pixels (min. 200)")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Top margin"),
			"param_name" => "margin_top",
			"value" => "40",
			"description" => __("In pixels; negative values are allowed.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Bottom margin"),
			"param_name" => "margin_bottom",
			"value" => "40",
			"description" => __("In pixels; negative values are allowed.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Map width"),
			"param_name" => "fullwidth",
			"value" => array(
				"Normal" => "false",
				"Window-width" => "true",
			),
			"description" => __("")
		)
	)
) );
*/

// ! Mini Blog
vc_map( array(
	"name" => __("Mini Blog"),
	"base" => "dt_blog_posts_small",
	"icon" => "dt_vc_ico_blog_posts_small",
	"class" => "dt_vc_sc_blog_posts_small",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "dt_taxonomy",
			"taxonomy" => "category",
			"class" => "",
			"heading" => __("Categories"),
			"admin_label" => true,
			"param_name" => "category",
			"description" => __("Note: By default, all your posts will be displayed. <br>If you want to narrow output, select category(s) above. Only selected categories will be displayed.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Layout"),
			"param_name" => "columns",
			"value" => array(
				"List" => "1",
				"2 columns" => "2",
				"3 columns" => "3"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Featured images"),
			"param_name" => "featured_images",
			"value" => array(
				"Show" => "true",
				"Hide" => "false"
			),
			"description" => __("")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Number of posts to show"),
			"param_name" => "number",
			"value" => "6",
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order by"),
			"param_name" => "orderby",
			"value" => array(
				"Date" => "date",
				"Author" => "author",
				"Title" => "title",
				"Slug" => "name",
				"Date modified" => "modified",
				"ID" => "id",
				"Random" => "rand"
			),
			"description" => __("Select how to sort retrieved posts.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order way"),
			"param_name" => "order",
			"value" => array(
				"Descending" => "desc",
				"Ascending" => "asc"
			),
			"description" => __("Designates the ascending or descending order.")
		)
	)
) );

// ! Blog
vc_map( array(
	"name" => __("Blog"),
	"base" => "dt_blog_posts",
	"icon" => "dt_vc_ico_blog_posts",
	"class" => "dt_vc_sc_blog_posts",
	"category" => __('by Dream-Theme'),
	"params" => array(

		// Taxonomy
		array(
			"type" => "dt_taxonomy",
			"taxonomy" => "category",
			"class" => "",
			"admin_label" => true,
			"heading" => __("Categories"),
			"param_name" => "category",
			"description" => __("Note: By default, all your posts will be displayed. <br>If you want to narrow output, select category(s) above. Only selected categories will be displayed.")
		),

		// Appearance
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Appearance"),
			"param_name" => "type",
			"value" => array(
				"Masonry" => "masonry",
				"Grid" => "grid"
			),
			"description" => __("")
		),

		// Gap
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Gap between posts (px)"),
			"description" => __("Post paddings (e.g. 5 pixel padding will give you 10 pixel gaps between posts)"),
			"param_name" => "padding",
			"value" => "20"
		),

		// Column width
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Column target width (px)"),
			"param_name" => "column_width",
			"value" => "370"
		),

		// 100% width
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("100% width"),
			"param_name" => "full_width",
			"value" => array(
				"" => "true",
			)
		),

		// Proportions
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Post proportions"),
			"param_name" => "proportion",
			"value" => "",
			"description" => __("Width:height (e.g. 16:9). Leave this field empty to preserve original image proportions.")
		),

		// Post width
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Posts width"),
			"param_name" => "same_width",
			"value" => array(
				"Preserve original width" => "false",
				"Make posts same width" => "true",
			),
			"description" => __("")
		),

		// Number of posts
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Number of posts to show"),
			"param_name" => "number",
			"value" => "12",
			"description" => __("")
		),

		// Order by
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order by"),
			"param_name" => "orderby",
			"value" => array(
				"Date" => "date",
				"Author" => "author",
				"Title" => "title",
				"Slug" => "name",
				"Date modified" => "modified",
				"ID" => "id",
				"Random" => "rand"
			),
			"description" => __("Select how to sort retrieved posts.")
		),

		// Order
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order way"),
			"param_name" => "order",
			"value" => array(
				"Descending" => "desc",
				"Ascending" => "asc"
			),
			"description" => __("Designates the ascending or descending order.")
		)
	)
) );

// ! Portfolio Scroller
vc_map( array(
	"name" => __("Portfolio Scroller"),
	"base" => "dt_portfolio_slider",
	"icon" => "dt_vc_ico_portfolio_slider",
	"class" => "dt_vc_sc_portfolio_slider",
	"category" => __('by Dream-Theme'),
	"params" => array(

		array(
			"type" => "dt_taxonomy",
			"taxonomy" => "dt_portfolio_category",
			"class" => "",
			"admin_label" => true,
			"heading" => __("Categories"),
			"param_name" => "category",
			"description" => __("Note: By default, all your projects will be displayed. <br>If you want to narrow output, select category(s) above. Only selected categories will be displayed.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Thumbnails height"),
			"param_name" => "height",
			"value" => "210",
			"description" => __("In pixels.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Thumbnails width"),
			"param_name" => "width",
			"value" => "",
			"description" => __("In pixels. Leave this field empty if you want to preserve original thumbnails proportions.")
		),
		// Show projects descriptions
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Show projects descriptions"),
			"param_name" => "appearance",
			"value" => array(
				"Under image" => "default",
				"On image hover: align-left" => "text_on_image",
				"On image hover: centred" => 'on_hover_centered',
				"On dark gradient" => 'on_dark_gradient',
				"Move from bottom" => 'from_bottom'
			),
			"description" => __("")
		),
		// Details, link & zoom
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Details, link & zoom"),
			"param_name" => "under_image_buttons",
			"value" => array(
				"Under image" => "under_image",
				"On image hover" => "on_hover",
				"On image hover & under image" => "on_hover_under"
			),
			"dependency" => array(
				"element" => "appearance",
				"value" => array(
					'default'
				)
			)
		),
		// Animation
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Animation"),
			"param_name" => "hover_animation",
			"value" => array(
				'Fade' => 'fade',
				'Move' => 'move_to',
				'Direction aware' => 'direction_aware'
			),
			"dependency" => array(
				"element" => "appearance",
				"value" => array(
					'text_on_image',
					'on_hover_centered'
				)
			)
		),
		// Background color
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Background color"),
			"param_name" => "hover_bg_color",
			"value" => array(
				'Accent' => 'accent',
				'Dark' => 'dark'
			),
			"dependency" => array(
				"element" => "appearance",
				"value" => array(
					'text_on_image',
					'on_hover_centered'
				)
			)
		),
		// Content
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Content"),
			"param_name" => "hover_content_visibility",
			"value" => array(
				'On hover' => 'on_hover',
				'Always visible' => 'always'
			),
			"dependency" => array(
				"element" => "appearance",
				"value" => array(
					'on_dark_gradient',
					'from_bottom'
				)
			)
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide title"),
			"param_name" => "show_title",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide meta info"),
			"param_name" => "meta_info",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide excerpt"),
			"param_name" => "show_excerpt",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide details button"),
			"param_name" => "show_details",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide link"),
			"param_name" => "show_link",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide zoom"),
			"param_name" => "show_zoom",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Top margin"),
			"param_name" => "margin_top",
			"value" => "10",
			"description" => __("In pixels; negative values are allowed.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Bottom margin"),
			"param_name" => "margin_bottom",
			"value" => "10",
			"description" => __("In pixels; negative values are allowed.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Number of posts to show"),
			"param_name" => "number",
			"value" => "12",
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order by"),
			"param_name" => "orderby",
			"value" => array(
				"Date" => "date",
				"Author" => "author",
				"Title" => "title",
				"Slug" => "name",
				"Date modified" => "modified",
				"ID" => "id",
				"Random" => "rand"
			),
			"description" => __("Select how to sort retrieved posts.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order way"),
			"param_name" => "order",
			"value" => array(
				"Descending" => "desc",
				"Ascending" => "asc"
			),
			"description" => __("Designates the ascending or descending order.")
		)
	)
) );

// ! Portfolio
vc_map( array(
	"name" => __("Portfolio"),
	"base" => "dt_portfolio",
	"icon" => "dt_vc_ico_portfolio",
	"class" => "dt_vc_sc_portfolio",
	"category" => __('by Dream-Theme'),
	"params" => array(

		// Terms
		array(
			"type" => "dt_taxonomy",
			"taxonomy" => "dt_portfolio_category",
			"class" => "",
			"heading" => __("Categories"),
			"admin_label" => true,
			"param_name" => "category",
			"description" => __("Note: By default, all your projects will be displayed. <br>If you want to narrow output, select category(s) above. Only selected categories will be displayed.")
		),

		// Appearance
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Appearance"),
			"param_name" => "type",
			"value" => array(
				"Masonry" => "masonry",
				"Grid" => "grid"
			),
			"description" => __("")
		),

		// Gap
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Gap between images (px)"),
			"description" => __("Image paddings (e.g. 5 pixel padding will give you 10 pixel gaps between images)"),
			"param_name" => "padding",
			"value" => "20"
		),

		// Column width
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Column target width (px)"),
			"param_name" => "column_width",
			"value" => "370"
		),

		// 100% width
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("100% width"),
			"param_name" => "full_width",
			"value" => array(
				"" => "true",
			)
		),

		// Proportions
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Thumbnails proportions"),
			"param_name" => "proportion",
			"value" => "",
			"description" => __("Width:height (e.g. 16:9). Leave this field empty to preserve original image proportions.")
		),

		// Post width
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Projects width"),
			"param_name" => "same_width",
			"value" => array(
				"Preserve original width" => "false",
				"Make projects same width" => "true",
			),
			"description" => __("")
		),

		// Description
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Show projects descriptions"),
			"param_name" => "descriptions",
			"value" => array(
				"Under image" => "under_image",
				"On image hover: align-left" => "on_hover",
				"On image hover: centred" => 'on_hover_centered',
				"On dark gradient" => 'on_dark_gradient',
				"Move from bottom" => 'from_bottom'
			),
			"description" => __("")
		),

		// Details, link & zoom
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Details, link & zoom"),
			"param_name" => "under_image_buttons",
			"value" => array(
				"Under image" => "under_image",
				"On image hover" => "on_hover",
				"On image hover & under image" => "on_hover_under"
			),
			"dependency" => array(
				"element" => "descriptions",
				"value" => array(
					'under_image'
				)
			)
		),

		// Animation
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Animation"),
			"param_name" => "hover_animation",
			"value" => array(
				'Fade' => 'fade',
				'Move' => 'move_to',
				'Direction aware' => 'direction_aware'
			),
			"dependency" => array(
				"element" => "descriptions",
				"value" => array(
					'on_hover',
					'on_hover_centered'
				)
			)
		),

		// Background color
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Background color"),
			"param_name" => "hover_bg_color",
			"value" => array(
				'Accent' => 'accent',
				'Dark' => 'dark'
			),
			"dependency" => array(
				"element" => "descriptions",
				"value" => array(
					'on_hover',
					'on_hover_centered'
				)
			)
		),

		// Content
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Content"),
			"param_name" => "hover_content_visibility",
			"value" => array(
				'On hover' => 'on_hover',
				'Always visible' => 'always'
			),
			"dependency" => array(
				"element" => "descriptions",
				"value" => array(
					'on_dark_gradient',
					'from_bottom'
				)
			)
		),

		// Hide title
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide title"),
			"param_name" => "show_title",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),

		// Hide meta info
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide meta info"),
			"param_name" => "meta_info",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),

		// Hide excerpt
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide excerpt"),
			"param_name" => "show_excerpt",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),

		// Hide details button
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide details button"),
			"param_name" => "show_details",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),

		// Hide link
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide link"),
			"param_name" => "show_link",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),

		// Hide zoom
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide zoom"),
			"param_name" => "show_zoom",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),

		// Number of posts
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Number of projects to show"),
			"param_name" => "number",
			"value" => "12",
			"description" => __("")
		),

		// Order by
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order by"),
			"param_name" => "orderby",
			"value" => array(
				"Date" => "date",
				"Author" => "author",
				"Title" => "title",
				"Slug" => "name",
				"Date modified" => "modified",
				"ID" => "id",
				"Random" => "rand"
			),
			"description" => __("Select how to sort retrieved posts.")
		),

		// Order
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order way"),
			"param_name" => "order",
			"value" => array(
				"Descending" => "desc",
				"Ascending" => "asc"
			),
			"description" => __("Designates the ascending or descending order.")
		)
	)
) );

// ! Portfolio justified grid
vc_map( array(
	"name" => __("Portfolio justified grid"),
	"base" => "dt_portfolio_jgrid",
	"icon" => "dt_vc_ico_portfolio",
	"class" => "dt_vc_sc_portfolio",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "dt_taxonomy",
			"taxonomy" => "dt_portfolio_category",
			"class" => "",
			"heading" => __("Categories"),
			"admin_label" => true,
			"param_name" => "category",
			"description" => __("Note: By default, all your projects will be displayed. <br>If you want to narrow output, select category(s) above. Only selected categories will be displayed.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Gap between images (px)"),
			"description" => __("Image paddings (e.g. 5 pixel padding will give you 10 pixel gaps between images)"),
			"param_name" => "padding",
			"value" => "20"
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Row target height (px)"),
			"param_name" => "target_height",
			"value" => "250"
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("100% width"),
			"param_name" => "full_width",
			"value" => array(
				"" => "true",
			)
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Thumbnails proportions"),
			"param_name" => "proportion",
			"value" => "",
			"description" => __("Width:height (e.g. 16:9). Leave this field empty to preserve original image proportions.")
		),

		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Show projects descriptions"),
			"param_name" => "descriptions",
			"value" => array(
				"On image hover: align-left" => "on_hover",
				"On image hover: centred" => 'on_hover_centered',
				"On dark gradient" => 'on_dark_gradient',
				"Move from bottom" => 'from_bottom'
			),
			"description" => __("")
		),
		// Animation
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Animation"),
			"param_name" => "hover_animation",
			"value" => array(
				'Fade' => 'fade',
				'Move' => 'move_to',
				'Direction aware' => 'direction_aware'
			),
			"dependency" => array(
				"element" => "descriptions",
				"value" => array(
					'on_hover',
					'on_hover_centered'
				)
			)
		),
		// Background color
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Background color"),
			"param_name" => "hover_bg_color",
			"value" => array(
				'Accent' => 'accent',
				'Dark' => 'dark'
			),
			"dependency" => array(
				"element" => "descriptions",
				"value" => array(
					'on_hover',
					'on_hover_centered'
				)
			)
		),
		// Content
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Content"),
			"param_name" => "hover_content_visibility",
			"value" => array(
				'On hover' => 'on_hover',
				'Always visible' => 'always'
			),
			"dependency" => array(
				"element" => "descriptions",
				"value" => array(
					'on_dark_gradient',
					'from_bottom'
				)
			)
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide last row if there's not enough images to fill it"),
			"param_name" => "hide_last_row",
			"value" => array(
				"" => "true",
			)
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide title"),
			"param_name" => "show_title",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide meta info"),
			"param_name" => "meta_info",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide excerpt"),
			"param_name" => "show_excerpt",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide details button"),
			"param_name" => "show_details",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide link"),
			"param_name" => "show_link",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Hide zoom"),
			"param_name" => "show_zoom",
			"value" => array(
				"" => "false",
			),
			"description" => __("")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Number of projects to show"),
			"param_name" => "number",
			"value" => "12",
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order by"),
			"param_name" => "orderby",
			"value" => array(
				"Date" => "date",
				"Author" => "author",
				"Title" => "title",
				"Slug" => "name",
				"Date modified" => "modified",
				"ID" => "id",
				"Random" => "rand"
			),
			"description" => __("Select how to sort retrieved posts.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order way"),
			"param_name" => "order",
			"value" => array(
				"Descending" => "desc",
				"Ascending" => "asc"
			),
			"description" => __("Designates the ascending or descending order.")
		)
	)
) );

// ! Photos Scroller
vc_map( array(
	"name" => __("Photos Scroller"),
	"base" => "dt_small_photos",
	"icon" => "dt_vc_ico_small_photos",
	"class" => "dt_vc_sc_small_photos",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "dt_taxonomy",
			"taxonomy" => "dt_gallery_category",
			"class" => "",
			"admin_label" => true,
			"heading" => __("Categories"),
			"param_name" => "category",
			"description" => __("Note: By default, all your projects will be displayed. <br>If you want to narrow output, select category(s) above. Only selected categories will be displayed.")
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Open in lighbox"),
			"param_name" => "lightbox",
			"value" => array(
				"" => "true"
			),
			"description" => __("")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Thumbnails height"),
			"param_name" => "height",
			"value" => "210",
			"description" => __("In pixels.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Thumbnails width"),
			"param_name" => "width",
			"value" => "",
			"description" => __("In pixels. Leave this field empty if you want to preserve original thumbnails proportions.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Top margin"),
			"param_name" => "margin_top",
			"value" => "10",
			"description" => __("In pixels; negative values are allowed.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Bottom margin"),
			"param_name" => "margin_bottom",
			"value" => "10",
			"description" => __("In pixels; negative values are allowed.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Number of posts to show"),
			"param_name" => "number",
			"value" => "12",
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Show"),
			"param_name" => "orderby",
			"value" => array(
				"Recent photos" => "recent",
				"Random photos" => "random"
			),
			"description" => __("")
		)
	)
) );

// ! Royal Slider
vc_map( array(
	"name" => __("Royal Slider"),
	"base" => "dt_slideshow",
	"icon" => "dt_vc_ico_slideshow",
	"class" => "dt_vc_sc_slideshow",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "dt_posttype",
			"posttype" => "dt_slideshow",
			"class" => "",
			"heading" => __("Display slideshow(s)"),
			"admin_label" => true,
			"param_name" => "posts",
			"description" => __("Attention: Do not ignore this setting! Otherwise only one (newest) slideshow will be displayed.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Proportions: width"),
			"param_name" => "width",
			"value" => "800",
			// "description" => __("In pixels.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Proportions: height"),
			"param_name" => "height",
			"value" => "450",
			// "description" => __("In pixels.")
		)
	)
) );

// ! Team
vc_map( array(
	"name" => __("Team"),
	"base" => "dt_team",
	"icon" => "dt_vc_ico_team",
	"class" => "dt_vc_sc_team",
	"category" => __('by Dream-Theme'),
	"params" => array(

		// Terms
		array(
			"type" => "dt_taxonomy",
			"taxonomy" => "dt_team_category",
			"class" => "",
			"heading" => __("Categories"),
			"admin_label" => true,
			"param_name" => "category",
			"description" => __("Note: By default, all your team will be displayed. <br>If you want to narrow output, select category(s) above. Only selected categories will be displayed.")
		),

		// Appearance
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Appearance"),
			"param_name" => "type",
			"value" => array(
				"Masonry" => "masonry",
				"Grid" => "grid"
			),
			"description" => __("")
		),

		// Gap
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Gap between team members (px)"),
			"description" => __("Team member paddings (e.g. 5 pixel padding will give you 10 pixel gaps between team members)"),
			"param_name" => "padding",
			"value" => "20"
		),

		// Column width
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Column target width (px)"),
			"param_name" => "column_width",
			"value" => "370"
		),

		// 100% width
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("100% width"),
			"param_name" => "full_width",
			"value" => array(
				"" => "true",
			)
		),

		// Number of posts
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Number of team members to show"),
			"param_name" => "number",
			"value" => "12",
			"description" => __("(Integer)")
		),

		// Order by
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order by"),
			"param_name" => "orderby",
			"value" => array(
				"Date" => "date",
				"Author" => "author",
				"Title" => "title",
				"Slug" => "name",
				"Date modified" => "modified",
				"ID" => "id",
				"Random" => "rand"
			),
			"description" => __("Select how to sort retrieved posts.")
		),

		// Order
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order way"),
			"param_name" => "order",
			"value" => array(
				"Descending" => "desc",
				"Ascending" => "asc"
			),
			"description" => __("Designates the ascending or descending order.")
		)
	)
) );

// ! Logotypes
vc_map( array(
	"name" => __("Logotypes"),
	"base" => "dt_logos",
	"icon" => "dt_vc_ico_logos",
	"class" => "dt_vc_sc_logos",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "dt_taxonomy",
			"taxonomy" => "dt_logos_category",
			"class" => "",
			"admin_label" => true,
			"heading" => __("Categories"),
			"param_name" => "category",
			"description" => __("Note: By default, all your logotypes will be displayed. <br>If you want to narrow output, select category(s) above. Only selected categories will be displayed.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Layout"),
			"param_name" => "columns",
			"value" => array(
				"2 columns" => "2",
				"3 columns" => "3",
				"4 columns" => "4",
				"5 columns" => "5"
			),
			"description" => __("Note that this shortcode adapts to its holder width. Therefore real number of columns may vary from selected above.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Diveders"),
			"param_name" => "dividers",
			"value" => array(
				"Show dividers" => "true",
				"Hide dividers between logotypes" => "false"
			),
			"description" => __("")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Number of logotypes to show"),
			"param_name" => "number",
			"value" => "12",
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order by"),
			"param_name" => "orderby",
			"value" => array(
				"Date" => "date",
				"Author" => "author",
				"Title" => "title",
				"Slug" => "name",
				"Date modified" => "modified",
				"ID" => "id",
				"Random" => "rand"
			),
			"description" => __("Select how to sort retrieved posts.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order way"),
			"param_name" => "order",
			"value" => array(
				"Descending" => "desc",
				"Ascending" => "asc"
			),
			"description" => __("Designates the ascending or descending order.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Animation"),
			"param_name" => "animation",
			"value" => array(
				"None" => "none",
				"Left" => "left",
				"Right" => "right",
				"Top" => "top",
				"Bottom" => "bottom",
				"Scale" => "scale",
				"Fade" => "fade"
			),
			"description" => __("")
		)
	)
) );

// ! Testimonials
vc_map( array(
	"name" => __("Testimonials"),
	"base" => "dt_testimonials",
	"icon" => "dt_vc_ico_testimonials",
	"class" => "dt_vc_sc_testimonials",
	"category" => __('by Dream-Theme'),
	"params" => array(

		// Terms
		array(
			"type" => "dt_taxonomy",
			"taxonomy" => "dt_testimonials_category",
			"class" => "",
			"heading" => __("Categories"),
			"param_name" => "category",
			"admin_label" => true,
			"description" => __("Note: By default, all your testimonials will be displayed. <br>If you want to narrow output, select category(s) above. Only selected categories will be displayed.")
		),

		// Appearance
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Appearance"),
			"admin_label" => true,
			"param_name" => "type",
			"value" => array(
				"Slider" => "slider",
				"Masonry" => "masonry",
				"List" => "list"
			),
			"description" => __("")
		),

		// Gap
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Gap between testimonials (px)"),
			"description" => __("Testimonial paddings (e.g. 5 pixel padding will give you 10 pixel gaps between testimonials)"),
			"param_name" => "padding",
			"value" => "20",
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"masonry"
				)
			)
		),

		// Column width
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Column target width (px)"),
			"param_name" => "column_width",
			"value" => "370",
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"masonry"
				)
			)
		),

		// 100% width
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("100% width"),
			"param_name" => "full_width",
			"value" => array(
				"" => "true",
			),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"masonry"
				)
			)
		),

		// Autoslide
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Autoslide"),
			"param_name" => "autoslide",
			"value" => "",
			"description" => __('In milliseconds (e.g. 3 secund = 3000 miliseconds). Leave this field empty to disable autoslide. This field works only when "Appearance: Slider" selected.'),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"slider"
				)
			)
		),

		// Number of posts
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Number of testimonials to show"),
			"param_name" => "number",
			"value" => "12",
			"description" => __("")
		),

		// Order by
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order by"),
			"param_name" => "orderby",
			"value" => array(
				"Date" => "date",
				"Author" => "author",
				"Title" => "title",
				"Slug" => "name",
				"Date modified" => "modified",
				"ID" => "id",
				"Random" => "rand"
			),
			"description" => __("Select how to sort retrieved posts.")
		),

		// Order
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order way"),
			"param_name" => "order",
			"value" => array(
				"Descending" => "desc",
				"Ascending" => "asc"
			),
			"description" => __("Designates the ascending or descending order.")
		)
	)
) );

// ! Gap
vc_map( array(
	"name" => __("Gap"),
	"base" => "dt_gap",
	"icon" => "dt_vc_ico_gap",
	"class" => "dt_vc_sc_gap",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Gap height"),
			"admin_label" => true,
			"param_name" => "height",
			"value" => "10",
			"description" => __("In pixels.")
		)
	)
) );

// ! Divider
vc_map( array(
	"name" => __("Divider (deprecated)"),
	"base" => "dt_divider",
	"icon" => "dt_vc_ico_divider",
	"class" => "dt_vc_sc_divider",
	"category" => __('Deprecated', LANGUAGE_ZONE),
	"weight" => -1,
	"params" => array(
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Divider style"),
			"admin_label" => true,
			"param_name" => "style",
			"value" => array(
				"Thin" => "thin",
				"Thick" => "thick"
			),
			"description" => __("")
		)
	)
) );

// ! Fancy Media
vc_map( array(
	"name" => __("Fancy Media"),
	"base" => "dt_fancy_image",
	"icon" => "dt_vc_ico_fancy_image",
	"class" => "dt_vc_sc_fancy_image",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Type"),
			"param_name" => "type",
			"value" => array(
				"Image" => "image",
				"Video" => "video",
				"Image with video in lightbox" => "video_in_lightbox"
			),
			"description" => __("")
		),
		//Only for "image" and "video_in_lightbox"
		array(
			"type" => "textfield",
			"class" => "dt_image",
			"holder" => "image",
			"heading" => __("Image URL"),
			"param_name" => "image",
			"value" => "",
			"description" => __(""),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"image",
					"video_in_lightbox"
				)
			)
		),
		//Only for "image" and "video_in_lightbox"
		array(
			"type" => "textfield",
			"class" => "dt_image",
			"heading" => __("Image ALT"),
			"param_name" => "image_alt",
			"value" => "",
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"image",
					"video_in_lightbox"
				)
			)
		),
		//Only for "image"
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("Open in lighbox"),
			"param_name" => "lightbox",
			"value" => array(
				"" => "true"
			),
			"description" => __("If selected, larger image will be opened on click."),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"image"
				)
			)
		),
		//Only for "video" and "video_in_lightbox"
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Video URL"),
			"admin_label" => true,
			"param_name" => "media",
			"value" => "",
			"description" => __(""),
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"video",
					"video_in_lightbox"
				)
			)
		),

		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Style"),
			"param_name" => "style",
			"value" => array(
				"Full-width media" => "1",
				"Media with padding" => "2",
				"Media with padding & background fill" => "3"
			),
			"description" => __("")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Width"),
			"param_name" => "width",
			"value" => "270",
			"description" => __("In pixels. Proportional height will be calculated automatically.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Padding"),
			"param_name" => "padding",
			"value" => "10",
			"description" => __("In pixels.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Margin-top"),
			"param_name" => "margin_top",
			"value" => "0",
			"description" => __("In pixels.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Margin-bottom"),
			"param_name" => "margin_bottom",
			"value" => "0",
			"description" => __("In pixels.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Margin-left"),
			"param_name" => "margin_left",
			"value" => "0",
			"description" => __("In pixels.")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Margin-right"),
			"param_name" => "margin_right",
			"value" => "0",
			"description" => __("In pixels.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Align"),
			"param_name" => "align",
			"value" => array(
				"Left" => "left",
				"Center" => "center",
				"Right" => "right"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Animation"),
			"param_name" => "animation",
			"value" => array(
				"None" => "none",
				"Left" => "left",
				"Right" => "right",
				"Top" => "top",
				"Bottom" => "bottom",
				"Scale" => "scale",
				"Fade" => "fade"
			),
			"description" => __("")
		)
	)
) );

// ! Button
vc_map( array(
	"name" => __("Button"),
	"base" => "dt_button",
	"icon" => "dt_vc_ico_button",
	"class" => "dt_vc_sc_button",
	"category" => __('by Dream-Theme'),
	"params" => array(

		// Extra class name
		array(
			"type" => "textfield",
			"heading" => __("Extra class name"),
			"param_name" => "el_class",
			"value" => "",
			"description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.")
		),

		// Caption
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Caption"),
			"admin_label" => true,
			"param_name" => "content",
			"value" => "",
			"description" => __("")
		),

		// Link Url
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Link URL"),
			"param_name" => "link",
			"value" => "",
			"description" => __("")
		),

		// Open link in
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Open link in"),
			"param_name" => "target_blank",
			"value" => array(
				"Same window" => "false",
				"New window" => "true"
			),
			"description" => __("")
		),

		// Style
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Style"),
			"param_name" => "size",
			"value" => array(
				"Small button" => "small",
				"Medium button" => "medium",
				"Big button" => "big",
				"Link" => "link"
			),
			"description" => __("")
		),

		// Button color
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Button color"),
			"param_name" => "color",
			"value" => array(
				"Accent color" => "",
				"White" => "white",
				"Red" => "red",
				"Berry" => "berry",
				"Orange" => "orange",
				"Yellow" => "yellow",
				"Pink" => "pink",
				"Green" => "green",
				"Dark_green" => "dark_green",
				"Blue" => "blue",
				"Dark_blue" => "dark_blue",
				"Violet" => "violet",
				"Black" => "black",
				"Gray" => "gray"
			),
			"description" => __(""),
			"dependency" => array(
				"element" => "size",
				"value" => array(
					"small",
					"medium",
					"big"
				)
			)
		),

		// Animation
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Animation"),
			"param_name" => "animation",
			"value" => array(
				"None" => "none",
				"Left" => "left",
				"Right" => "right",
				"Top" => "top",
				"Bottom" => "bottom",
				"Scale" => "scale",
				"Fade" => "fade"
			),
			"description" => __("")
		),

		// Icon
		array(
			"type" => "textarea_raw_html",
			"class" => "",
			"heading" => __("Icon"),
			"param_name" => "icon",
			"value" => '',
			"description" => __('f.e. <code>&lt;i class="fa fa-coffee"&gt;&lt;/i&gt;</code>')
		),

		// Icon align
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Icon align"),
			"param_name" => "icon_align",
			"value" => array(
				"Left" => "left",
				"Right" => "right"
			),
			"description" => __("")
		),
	)
) );

// ! Fancy List
vc_map( array(
	"name" => __("Fancy List"),
	"base" => "dt_vc_list",
	"icon" => "dt_vc_ico_list",
	"class" => "dt_vc_sc_list",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "textarea_html",
			"holder" => "div",
			"class" => "",
			"heading" => __("Caption"),
			"param_name" => "content",
			"value" => __("<ul><li>Your list</li><li>goes</li><li>here!</li></ul>"),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("List style"),
			"param_name" => "style",
			"value" => array(
				"Unordered" => "1",
				"Ordered (numbers)" => "2",
				"No bullets" => "3"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Dividers"),
			"param_name" => "dividers",
			"value" => array(
				"Show" => "true",
				"Hide" => "false"
			),
			"description" => __("")
		)
	)
) );


// ! Benefits
vc_map( array(
	"name" => __("Benefits"),
	"base" => "dt_benefits_vc",
	"icon" => "dt_vc_ico_benefits",
	"class" => "dt_vc_sc_benefits",
	"category" => __('by Dream-Theme'),
	"params" => array(
		array(
			"type" => "dt_taxonomy",
			"taxonomy" => "dt_benefits_category",
			"class" => "",
			"admin_label" => true,
			"heading" => __("Categories"),
			"param_name" => "category",
			"description" => __("Note: By default, all your benefits will be displayed. <br>If you want to narrow output, select category(s) above. Only selected categories will be displayed.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Layout"),
			"param_name" => "columns",
			"value" => array(
				"1 columns" => "1",
				"2 columns" => "2",
				"3 columns" => "3",
				"4 columns" => "4",
				"5 columns" => "5"
			),
			"description" => __("Note that this shortcode adapts to its holder width. Therefore real number of columns may vary from selected above.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Benefits style"),
			"param_name" => "style",
			"value" => array(
				"Image, title & content centered" => "1",
				"Image & title inline" => "2",
				"Image on the left" => "3"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Dividers"),
			"param_name" => "dividers",
			"value" => array(
				"Show" => "true",
				"Hide" => "false"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Image backgrounds"),
			"param_name" => "image_background",
			"value" => array(
				"Show" => "true",
				"Hide" => "false"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Border radius for image backgrounds"),
			"param_name" => "image_background_border",
			"value" => array(
				"Default" => "",
				"Custom" => "custom"
			),
			"description" => __("")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Border radius (in px)"),
			"param_name" => "image_background_border_radius",
			"value" => "",
			"description" => __(""),
			"dependency" => array(
				"element" => "image_background_border",
				"value" => array(
					"custom"
				)
			)
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Color"),
			"param_name" => "image_background_paint",
			"value" => array(
				"Accent" => "",
				"Custom color" => "custom"
			),
			"description" => __("")
		),
		array(
			"type" => "colorpicker",
			"class" => "",
			"heading" => __(""),
			"param_name" => "image_background_color",
			"value" => "#ffffff",
			"description" => __(""),
			"dependency" => array(
				"element" => "image_background_paint",
				"value" => array(
					"custom"
				)
			)
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Open link in"),
			"param_name" => "target_blank",
			"value" => array(
				"Same window" => "false",
				"New window" => "true"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Title font size"),
			"param_name" => "header_size",
			"value" => array(
				"H1" => "h1",
				"H2" => "h2",
				"H3" => "h3",
				"H4" => "h4",
				"H5" => "h5",
				"H6" => "h6"
			),
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Content font size"),
			"param_name" => "content_size",
			"value" => array(
				"Normal" => "normal",
				"Small" => "small",
				"Big" => "big"
			),
			"description" => __("")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Number of benefits to show"),
			"param_name" => "number",
			"value" => "8",
			"description" => __("")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order by"),
			"param_name" => "orderby",
			"value" => array(
				"Date" => "date",
				"Author" => "author",
				"Title" => "title",
				"Slug" => "name",
				"Date modified" => "modified",
				"ID" => "id",
				"Random" => "rand"
			),
			"description" => __("Select how to sort retrieved posts.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order way"),
			"param_name" => "order",
			"value" => array(
				"Descending" => "desc",
				"Ascending" => "asc"
			),
			"description" => __("Designates the ascending or descending order.")
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Animation"),
			"admin_label" => true,
			"param_name" => "animation",
			"value" => array(
				"None" => "none",
				"Left" => "left",
				"Right" => "right",
				"Top" => "top",
				"Bottom" => "bottom",
				"Scale" => "scale",
				"Fade" => "fade"
			),
			"description" => __("")
		)
	)
) );

//***********************************************************************
// Pie
//***********************************************************************

//Get current values stored in the color param in "Call to Action" element
$param = WPBMap::getParam('vc_pie', 'color');
//Append new value to the 'value' array
$param['value'] = '#f7f7f7';
$param['type'] = 'colorpicker';
//Finally "mutate" param with new values
WPBMap::mutateParam('vc_pie', $param);

// add appearance dropdown
vc_add_param("vc_pie", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __("Appearance"),
	"admin_label" => true,
	"param_name" => "appearance",
	"value" => array(
		"Pie chart (default)" => "default",
		"Counter" => "counter"
	),
	"description" => __("")
));

// add custom color selector
vc_add_param("vc_pie", array(
	"type" => "colorpicker",
	"heading" => __("Bar color"),
	"param_name" => "color",
	"value" => '#f7f7f7',
	"description" => __("")
));

//***********************************************************************
// Carousel
//***********************************************************************

vc_remove_param('vc_carousel', 'mode');

//////////////////
// VC Separator //
//////////////////

vc_map_update( 'vc_separator', array( "name" => __("Separator (deprecated)", LANGUAGE_ZONE), "category"  => __('Deprecated', LANGUAGE_ZONE), "weight" => -1 ) );

///////////////////////
// VC Text Separator //
///////////////////////

vc_map_update( 'vc_text_separator', array( "name" => __("Separator with Text (deprecated)", LANGUAGE_ZONE), "category"  => __('Deprecated', LANGUAGE_ZONE), "weight" => -1 ) );
